#!/usr/bin/env node --no-warnings
var lo=Object.create;var oe=Object.defineProperty;var po=Object.getOwnPropertyDescriptor;var uo=Object.getOwnPropertyNames;var mo=Object.getPrototypeOf,ho=Object.prototype.hasOwnProperty;var p=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var go=(e,t,o,n)=>{if(t&&typeof t=="object"||typeof t=="function")for(let r of uo(t))!ho.call(e,r)&&r!==o&&oe(e,r,{get:()=>t[r],enumerable:!(n=po(t,r))||n.enumerable});return e};var fo=(e,t,o)=>(o=e!=null?lo(mo(e)):{},go(t||!e||!e.__esModule?oe(o,"default",{value:e,enumerable:!0}):o,e));var re=p((ca,ne)=>{var wo={name:"",version:"0.1.0",private:!0,description:"",main:"index.js",scripts:{build:"node ./scripts/_build.js",start:"node ./scripts/_start.js","build:styles":"postcss ./src/theme.css -o ./dist/theme.css",format:'prettier --write "**/*.{js,jsx,ts,tsx,css,scss,json,py,rs}"'},keywords:[],author:"",license:"ISC",dependencies:{react:"^18.3.1","react-router-dom":"^6.26.2",concurrently:"^8.2.2",esbuild:"^0.23.1",moment:"^2.30.1","react-dom":"^18.3.1",tailwindcss:"^3.4.10","@tailwindcss/forms":"^0.5.7"},devDependencies:{chokidar:"^3.6.0","live-server":"^1.2.2",prettier:"^3.3.3",autoprefixer:"^10.4.20",postcss:"^8.4.47","postcss-cli":"^11.0.0","postcss-import":"^16.1.0","postcss-nesting":"^13.0.0"}};ne.exports={packageJsonData:wo}});var ae=p((la,se)=>{var yo=`const { cleanDist, buildWorkers, buildContentScripts, buildMainBundle, copyPublicFiles, buildStyleFiles } = require('./common');

// Initial build
cleanDist();
buildWorkers();
buildContentScripts();
buildMainBundle();
buildStyleFiles();
copyPublicFiles();`;se.exports={buildScriptContent:yo}});var ce=p((da,ie)=>{var bo=({useSass:e})=>`const esbuild = require('esbuild');
const subprocess = require('child_process');
${e?"const { sassPlugin } = require('esbuild-sass-plugin');":""}

// Function to clean the dist directory
const cleanDist = () => {
  try {
    subprocess.execSync('rm -rf dist/*');
  } catch (e) {
    console.log(e);
  }
};

// Function to copy public files
const copyPublicFiles = () => {
  try {
    subprocess.execSync('cp -r public/ dist');
  } catch (e) {
    console.log(e);
  }
};

// Function to build style files
const buildStyleFiles = () => {
  try {
    subprocess.execSync('npm run build:styles');
  } catch (e) {
    console.log(e);
  }
};

// Function to format the styles files
const formatFiles = () => {
  try {
    subprocess.execSync('npm run format');
  } catch (e) {
    console.log(e);
  }
};

const DEFAULT_OPTIONS = {
  delay: 100,
  events: ['add', 'change', 'unlink'],
  fireFirst: false,
  fireLast: true,
  chokidarOptions: {
    ignoreInitial: true,
    followSymlinks: false,
  },
}

function watch(paths = [], options = {}, callback = () => { }) {
  options = { ...DEFAULT_OPTIONS, ...options }

  const chokidar = require('chokidar')
  const watcher = chokidar.watch(paths, options.chokidarOptions)

  const debounceEvent =
    (callback, time = DEFAULT_OPTIONS.delay, interval) =>
      (...args) => {
        clearTimeout(interval)
        interval = setTimeout(() => (options.fireLast ? callback(...args) : () => { }), time)
      }

  function onChange(event, path, stats, error) {
    if (error && watcher.listenerCount('error')) {
      watcher.emit('error', error)
      return
    }

    if (options.fireFirst) {
      callback(event, path, stats)
    }

    debounceEvent(callback(event, path, stats), 250)
  }

  options.events.forEach(event => {
    if (['add', 'change', 'unlink', 'addDir', 'unlinkDir'].indexOf(event) !== -1) {
      watcher.on(event, path => onChange(event, path, null, null))
    } else if (event === 'change') {
      watcher.on(event, (path, stats) => onChange(event, path, stats, null))
    } else if (event === 'error') {
      watcher.on(event, error => onChange(event, '', null, error))
    } else if (event === 'ready') {
      watcher.on(event, () => onChange(event, '', null, null))
    } else if (event === 'raw') {
      watcher.on(event, (event, path, details) => onChange(event, path, details, null))
    }
  })

  return watcher
}

const buildConfig = {
  loader: { '.js': 'jsx', '.html': 'text', '.scss': 'text', '.node': 'text' },
  bundle: true,
  minify: true,
  allowOverwrite: true,
  platform: 'node',
  define: {
    'process.env.NODE_ENV': '"development"',
  },
  plugins: [${e?"sassPlugin()":""}],
}

// Function to build workers
const buildWorkers = () => {
  try {
  return esbuild.build({
    ...buildConfig,
    target: 'node18',
    entryPoints: ['./src/**/workers/*'],
    outdir: 'dist/workers/',
  });
} catch (e) {
  return;
}
};

// Function to build workers
const buildContentScripts = () => {
  try {
  return esbuild.build({
    ...buildConfig,
    entryPoints: ['./src/**/content-scripts/*'],
    outdir: 'dist/content-scripts/',
  });
} catch (e) {
  return;
}
};

// Function to build the main bundle
const buildMainBundle = () => {
  return esbuild.build({
    ...buildConfig,
    entryPoints: ['./src/index.tsx'],
    outfile: 'dist/bundle.js',
  });
};


module.exports = {
  formatFiles,
  watch,
  cleanDist,
  buildStyleFiles,
  buildWorkers,
  buildMainBundle,
  buildContentScripts,
  copyPublicFiles,
};`;ie.exports={commonScriptContent:bo}});var de=p((pa,le)=>{var xo=`const liveServer = require('live-server');
const { cleanDist, buildContentScripts, buildWorkers, buildMainBundle, copyPublicFiles, buildStyleFiles, watch, formatFiles } = require('./common');

// Initial build
cleanDist();
formatFiles();
buildMainBundle();
buildWorkers();
buildContentScripts();
buildStyleFiles();
copyPublicFiles();

// Watch for file changes
watch('src/**/*', {}, (event, path) => {
  console.log('Files have changed! Rebuilding...');
  formatFiles();
  buildMainBundle();
  buildWorkers();
  buildContentScripts();
  buildStyleFiles();
  copyPublicFiles();
})

// Start live server
liveServer.start({
  port: 8080,
  host: "0.0.0.0",
  root: "dist",
  open: false,
  file: "index.html",
  logLevel: 2,
});

console.log('Watching for file changes...');`;le.exports={startScriptContent:xo}});var ue=p((ua,pe)=>{var vo={compilerOptions:{target:"esnext",lib:["dom","dom.iterable","esnext"],allowJs:!1,skipLibCheck:!1,strict:!1,forceConsistentCasingInFileNames:!0,experimentalDecorators:!0,noEmit:!0,esModuleInterop:!0,module:"esnext",skipDefaultLibCheck:!0,moduleResolution:"node",resolveJsonModule:!0,isolatedModules:!0,jsx:"react-jsx"},include:["src"]};pe.exports={tsConfigJsonData:vo}});var he=p((ma,me)=>{var{kebabCase:ko,upperFirst:$o}=require("lodash"),Po=({projectName:e})=>{let t=ko(e);return`<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>${$o(e)||"React App"}</title>
    <link crossorigin="anonymous" media="all" rel="stylesheet" href="bundle.css" />
    <link crossorigin="anonymous" media="all" rel="stylesheet" href="theme.css" />
    <style>
        html {
            min-width: 300px;
            min-height: 500px;
            margin: 0;
            inset: 0;
            padding: 0;
            font-family: sans-serif;
            border: 0;
        }
        body {
            display: block;
            position: fixed;
            margin: 0;
            inset: 0;
            padding: 0;
            border: 0;
        }
    </style>
</head>
<body>
    <div id="${t}-root"></div>
    <script src="bundle.js"></script>
</body>
</html>`};me.exports={indexHtmlContent:Po}});var fe=p((ha,ge)=>{var{kebabCase:Co}=require("lodash"),So=({projectName:e})=>`// src/index.tsx
import React from 'react';
import {createRoot} from 'react-dom/client'
import {App} from './App';

const root = createRoot(document.getElementById('${Co(e)+"-root"}')!)
root.render(<App />)`;ge.exports={indexComponentContent:So}});var ye=p((ga,we)=>{var jo=({useTypeScript:e,pageName:t})=>`import React from 'react';
import { createBrowserRouter, RouterProvider } from 'react-router-dom';
import {${t}} from './pages/${t}/${t}';

const router = createBrowserRouter([
  {
    element: <${t} />,
    path: '/',
    children: [],
  },
]);

export const App${e?": React.FC":""} = () => {
  return <RouterProvider router={router} />;
}
  `;we.exports={appComponentContent:jo}});var ke=p((fa,ve)=>{var{join:be}=require("path"),{writeFile:xe}=require("fs-extra"),Eo=async({projectName:e,projectPath:t})=>{if([e,t].some(s=>s==null||s==null))throw new Error("Missing required arguments");let n="theme.css",r=`@tailwind base;
@tailwind utilities;

#${e+"-root"} {
    @apply fixed inset-0 block m-0 p-0;
    font-family: 'Roboto', sans-serif;
}`;await Promise.all([await xe(be(t,"tailwind.config.js"),Ao.trim()),await xe(be(t,"src",n),r.trim())])};ve.exports={tailwindFactory:Eo};var Ao=`
/** @type {import('tailwindcss').Config} */
module.exports = {
content: ['./src/**/*.{js,jsx,ts,tsx,css,scss}'],
presets: [],
darkMode: 'media', // or 'class'
theme: {
accentColor: ({ theme }) => ({
  ...theme('colors'),
  auto: 'auto',
}),
animation: {
  none: 'none',
  spin: 'spin 1s linear infinite',
  ping: 'ping 1s cubic-bezier(0, 0, 0.2, 1) infinite',
  pulse: 'pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite',
  bounce: 'bounce 1s infinite',
},
aria: {
  busy: 'busy="true"',
  checked: 'checked="true"',
  disabled: 'disabled="true"',
  expanded: 'expanded="true"',
  hidden: 'hidden="true"',
  pressed: 'pressed="true"',
  readonly: 'readonly="true"',
  required: 'required="true"',
  selected: 'selected="true"',
},
aspectRatio: {
  auto: 'auto',
  square: '1 / 1',
  video: '16 / 9',
},
backdropBlur: ({ theme }) => theme('blur'),
backdropBrightness: ({ theme }) => theme('brightness'),
backdropContrast: ({ theme }) => theme('contrast'),
backdropGrayscale: ({ theme }) => theme('grayscale'),
backdropHueRotate: ({ theme }) => theme('hueRotate'),
backdropInvert: ({ theme }) => theme('invert'),
backdropOpacity: ({ theme }) => theme('opacity'),
backdropSaturate: ({ theme }) => theme('saturate'),
backdropSepia: ({ theme }) => theme('sepia'),
backgroundColor: ({ theme }) => theme('colors'),
backgroundImage: {
  none: 'none',
  'gradient-to-t': 'linear-gradient(to top, var(--tw-gradient-stops))',
  'gradient-to-tr': 'linear-gradient(to top right, var(--tw-gradient-stops))',
  'gradient-to-r': 'linear-gradient(to right, var(--tw-gradient-stops))',
  'gradient-to-br': 'linear-gradient(to bottom right, var(--tw-gradient-stops))',
  'gradient-to-b': 'linear-gradient(to bottom, var(--tw-gradient-stops))',
  'gradient-to-bl': 'linear-gradient(to bottom left, var(--tw-gradient-stops))',
  'gradient-to-l': 'linear-gradient(to left, var(--tw-gradient-stops))',
  'gradient-to-tl': 'linear-gradient(to top left, var(--tw-gradient-stops))',
},
backgroundOpacity: ({ theme }) => theme('opacity'),
backgroundPosition: {
  bottom: 'bottom',
  center: 'center',
  left: 'left',
  'left-bottom': 'left bottom',
  'left-top': 'left top',
  right: 'right',
  'right-bottom': 'right bottom',
  'right-top': 'right top',
  top: 'top',
},
backgroundSize: {
  auto: 'auto',
  cover: 'cover',
  contain: 'contain',
},
blur: {
  0: '0',
  none: '',
  sm: '4px',
  DEFAULT: '8px',
  md: '12px',
  lg: '16px',
  xl: '24px',
  '2xl': '40px',
  '3xl': '64px',
},
borderColor: ({ theme }) => ({
  ...theme('colors'),
  DEFAULT: theme('colors.gray.200', 'currentColor'),
}),
borderOpacity: ({ theme }) => theme('opacity'),
borderRadius: {
  none: '0px',
  sm: '0.125rem',
  DEFAULT: '0.25rem',
  md: '0.375rem',
  lg: '0.5rem',
  xl: '0.75rem',
  '2xl': '1rem',
  '3xl': '1.5rem',
  full: '9999px',
},
borderSpacing: ({ theme }) => ({
  ...theme('spacing'),
}),
borderWidth: {
  DEFAULT: '1px',
  0: '0px',
  2: '2px',
  4: '4px',
  8: '8px',
},
boxShadow: {
  sm: '0 1px 2px 0 rgb(0 0 0 / 0.05)',
  DEFAULT: '0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)',
  md: '0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)',
  lg: '0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)',
  xl: '0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)',
  '2xl': '0 25px 50px -12px rgb(0 0 0 / 0.25)',
  inner: 'inset 0 2px 4px 0 rgb(0 0 0 / 0.05)',
  none: 'none',
},
boxShadowColor: ({ theme }) => theme('colors'),
brightness: {
  0: '0',
  50: '.5',
  75: '.75',
  90: '.9',
  95: '.95',
  100: '1',
  105: '1.05',
  110: '1.1',
  125: '1.25',
  150: '1.5',
  200: '2',
},
caretColor: ({ theme }) => theme('colors'),
colors: ({ colors }) => ({
  inherit: colors.inherit,
  current: colors.current,
  transparent: colors.transparent,
  black: colors.black,
  white: colors.white,
  slate: colors.slate,
  gray: colors.gray,
  zinc: colors.zinc,
  neutral: colors.neutral,
  stone: colors.stone,
  red: colors.red,
  orange: colors.orange,
  amber: colors.amber,
  yellow: colors.yellow,
  lime: colors.lime,
  green: colors.green,
  emerald: colors.emerald,
  teal: colors.teal,
  cyan: colors.cyan,
  sky: colors.sky,
  blue: colors.blue,
  indigo: colors.indigo,
  violet: colors.violet,
  purple: colors.purple,
  fuchsia: colors.fuchsia,
  pink: colors.pink,
  rose: colors.rose,
}),
columns: {
  auto: 'auto',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
  '3xs': '16rem',
  '2xs': '18rem',
  xs: '20rem',
  sm: '24rem',
  md: '28rem',
  lg: '32rem',
  xl: '36rem',
  '2xl': '42rem',
  '3xl': '48rem',
  '4xl': '56rem',
  '5xl': '64rem',
  '6xl': '72rem',
  '7xl': '80rem',
},
container: {},
content: {
  none: 'none',
},
contrast: {
  0: '0',
  50: '.5',
  75: '.75',
  100: '1',
  125: '1.25',
  150: '1.5',
  200: '2',
},
cursor: {
  auto: 'auto',
  default: 'default',
  pointer: 'pointer',
  wait: 'wait',
  text: 'text',
  move: 'move',
  help: 'help',
  'not-allowed': 'not-allowed',
  none: 'none',
  'context-menu': 'context-menu',
  progress: 'progress',
  cell: 'cell',
  crosshair: 'crosshair',
  'vertical-text': 'vertical-text',
  alias: 'alias',
  copy: 'copy',
  'no-drop': 'no-drop',
  grab: 'grab',
  grabbing: 'grabbing',
  'all-scroll': 'all-scroll',
  'col-resize': 'col-resize',
  'row-resize': 'row-resize',
  'n-resize': 'n-resize',
  'e-resize': 'e-resize',
  's-resize': 's-resize',
  'w-resize': 'w-resize',
  'ne-resize': 'ne-resize',
  'nw-resize': 'nw-resize',
  'se-resize': 'se-resize',
  'sw-resize': 'sw-resize',
  'ew-resize': 'ew-resize',
  'ns-resize': 'ns-resize',
  'nesw-resize': 'nesw-resize',
  'nwse-resize': 'nwse-resize',
  'zoom-in': 'zoom-in',
  'zoom-out': 'zoom-out',
},
divideColor: ({ theme }) => theme('borderColor'),
divideOpacity: ({ theme }) => theme('borderOpacity'),
divideWidth: ({ theme }) => theme('borderWidth'),
dropShadow: {
  sm: '0 1px 1px rgb(0 0 0 / 0.05)',
  DEFAULT: ['0 1px 2px rgb(0 0 0 / 0.1)', '0 1px 1px rgb(0 0 0 / 0.06)'],
  md: ['0 4px 3px rgb(0 0 0 / 0.07)', '0 2px 2px rgb(0 0 0 / 0.06)'],
  lg: ['0 10px 8px rgb(0 0 0 / 0.04)', '0 4px 3px rgb(0 0 0 / 0.1)'],
  xl: ['0 20px 13px rgb(0 0 0 / 0.03)', '0 8px 5px rgb(0 0 0 / 0.08)'],
  '2xl': '0 25px 25px rgb(0 0 0 / 0.15)',
  none: '0 0 #0000',
},
fill: ({ theme }) => ({
  none: 'none',
  ...theme('colors'),
}),
flex: {
  1: '1 1 0%',
  auto: '1 1 auto',
  initial: '0 1 auto',
  none: 'none',
},
flexBasis: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  '1/5': '20%',
  '2/5': '40%',
  '3/5': '60%',
  '4/5': '80%',
  '1/6': '16.666667%',
  '2/6': '33.333333%',
  '3/6': '50%',
  '4/6': '66.666667%',
  '5/6': '83.333333%',
  '1/12': '8.333333%',
  '2/12': '16.666667%',
  '3/12': '25%',
  '4/12': '33.333333%',
  '5/12': '41.666667%',
  '6/12': '50%',
  '7/12': '58.333333%',
  '8/12': '66.666667%',
  '9/12': '75%',
  '10/12': '83.333333%',
  '11/12': '91.666667%',
  full: '100%',
}),
flexGrow: {
  0: '0',
  DEFAULT: '1',
},
flexShrink: {
  0: '0',
  DEFAULT: '1',
},
fontFamily: {
  sans: [
    'ui-sans-serif',
    'system-ui',
    'sans-serif',
    '"Apple Color Emoji"',
    '"Segoe UI Emoji"',
    '"Segoe UI Symbol"',
    '"Noto Color Emoji"',
  ],
  serif: ['ui-serif', 'Georgia', 'Cambria', '"Times New Roman"', 'Times', 'serif'],
  mono: [
    'ui-monospace',
    'SFMono-Regular',
    'Menlo',
    'Monaco',
    'Consolas',
    '"Liberation Mono"',
    '"Courier New"',
    'monospace',
  ],
},
fontSize: {
  xs: ['0.75rem', { lineHeight: '1rem' }],
  sm: ['0.875rem', { lineHeight: '1.25rem' }],
  base: ['1rem', { lineHeight: '1.5rem' }],
  lg: ['1.125rem', { lineHeight: '1.75rem' }],
  xl: ['1.25rem', { lineHeight: '1.75rem' }],
  '2xl': ['1.5rem', { lineHeight: '2rem' }],
  '3xl': ['1.875rem', { lineHeight: '2.25rem' }],
  '4xl': ['2.25rem', { lineHeight: '2.5rem' }],
  '5xl': ['3rem', { lineHeight: '1' }],
  '6xl': ['3.75rem', { lineHeight: '1' }],
  '7xl': ['4.5rem', { lineHeight: '1' }],
  '8xl': ['6rem', { lineHeight: '1' }],
  '9xl': ['8rem', { lineHeight: '1' }],
},
fontWeight: {
  thin: '100',
  extralight: '200',
  light: '300',
  normal: '400',
  medium: '500',
  semibold: '600',
  bold: '700',
  extrabold: '800',
  black: '900',
},
gap: ({ theme }) => theme('spacing'),
gradientColorStops: ({ theme }) => theme('colors'),
gradientColorStopPositions: {
  '0%': '0%',
  '5%': '5%',
  '10%': '10%',
  '15%': '15%',
  '20%': '20%',
  '25%': '25%',
  '30%': '30%',
  '35%': '35%',
  '40%': '40%',
  '45%': '45%',
  '50%': '50%',
  '55%': '55%',
  '60%': '60%',
  '65%': '65%',
  '70%': '70%',
  '75%': '75%',
  '80%': '80%',
  '85%': '85%',
  '90%': '90%',
  '95%': '95%',
  '100%': '100%',
},
grayscale: {
  0: '0',
  DEFAULT: '100%',
},
gridAutoColumns: {
  auto: 'auto',
  min: 'min-content',
  max: 'max-content',
  fr: 'minmax(0, 1fr)',
},
gridAutoRows: {
  auto: 'auto',
  min: 'min-content',
  max: 'max-content',
  fr: 'minmax(0, 1fr)',
},
gridColumn: {
  auto: 'auto',
  'span-1': 'span 1 / span 1',
  'span-2': 'span 2 / span 2',
  'span-3': 'span 3 / span 3',
  'span-4': 'span 4 / span 4',
  'span-5': 'span 5 / span 5',
  'span-6': 'span 6 / span 6',
  'span-7': 'span 7 / span 7',
  'span-8': 'span 8 / span 8',
  'span-9': 'span 9 / span 9',
  'span-10': 'span 10 / span 10',
  'span-11': 'span 11 / span 11',
  'span-12': 'span 12 / span 12',
  'span-full': '1 / -1',
},
gridColumnEnd: {
  auto: 'auto',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
  13: '13',
},
gridColumnStart: {
  auto: 'auto',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
  13: '13',
},
gridRow: {
  auto: 'auto',
  'span-1': 'span 1 / span 1',
  'span-2': 'span 2 / span 2',
  'span-3': 'span 3 / span 3',
  'span-4': 'span 4 / span 4',
  'span-5': 'span 5 / span 5',
  'span-6': 'span 6 / span 6',
  'span-7': 'span 7 / span 7',
  'span-8': 'span 8 / span 8',
  'span-9': 'span 9 / span 9',
  'span-10': 'span 10 / span 10',
  'span-11': 'span 11 / span 11',
  'span-12': 'span 12 / span 12',
  'span-full': '1 / -1',
},
gridRowEnd: {
  auto: 'auto',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
  13: '13',
},
gridRowStart: {
  auto: 'auto',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
  13: '13',
},
gridTemplateColumns: {
  none: 'none',
  subgrid: 'subgrid',
  1: 'repeat(1, minmax(0, 1fr))',
  2: 'repeat(2, minmax(0, 1fr))',
  3: 'repeat(3, minmax(0, 1fr))',
  4: 'repeat(4, minmax(0, 1fr))',
  5: 'repeat(5, minmax(0, 1fr))',
  6: 'repeat(6, minmax(0, 1fr))',
  7: 'repeat(7, minmax(0, 1fr))',
  8: 'repeat(8, minmax(0, 1fr))',
  9: 'repeat(9, minmax(0, 1fr))',
  10: 'repeat(10, minmax(0, 1fr))',
  11: 'repeat(11, minmax(0, 1fr))',
  12: 'repeat(12, minmax(0, 1fr))',
},
gridTemplateRows: {
  none: 'none',
  subgrid: 'subgrid',
  1: 'repeat(1, minmax(0, 1fr))',
  2: 'repeat(2, minmax(0, 1fr))',
  3: 'repeat(3, minmax(0, 1fr))',
  4: 'repeat(4, minmax(0, 1fr))',
  5: 'repeat(5, minmax(0, 1fr))',
  6: 'repeat(6, minmax(0, 1fr))',
  7: 'repeat(7, minmax(0, 1fr))',
  8: 'repeat(8, minmax(0, 1fr))',
  9: 'repeat(9, minmax(0, 1fr))',
  10: 'repeat(10, minmax(0, 1fr))',
  11: 'repeat(11, minmax(0, 1fr))',
  12: 'repeat(12, minmax(0, 1fr))',
},
height: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  '1/5': '20%',
  '2/5': '40%',
  '3/5': '60%',
  '4/5': '80%',
  '1/6': '16.666667%',
  '2/6': '33.333333%',
  '3/6': '50%',
  '4/6': '66.666667%',
  '5/6': '83.333333%',
  full: '100%',
  screen: '100vh',
  svh: '100svh',
  lvh: '100lvh',
  dvh: '100dvh',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
hueRotate: {
  0: '0deg',
  15: '15deg',
  30: '30deg',
  60: '60deg',
  90: '90deg',
  180: '180deg',
},
inset: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  full: '100%',
}),
invert: {
  0: '0',
  DEFAULT: '100%',
},
keyframes: {
  spin: {
    to: {
      transform: 'rotate(360deg)',
    },
  },
  ping: {
    '75%, 100%': {
      transform: 'scale(2)',
      opacity: '0',
    },
  },
  pulse: {
    '50%': {
      opacity: '.5',
    },
  },
  bounce: {
    '0%, 100%': {
      transform: 'translateY(-25%)',
      animationTimingFunction: 'cubic-bezier(0.8,0,1,1)',
    },
    '50%': {
      transform: 'none',
      animationTimingFunction: 'cubic-bezier(0,0,0.2,1)',
    },
  },
},
letterSpacing: {
  tighter: '-0.05em',
  tight: '-0.025em',
  normal: '0em',
  wide: '0.025em',
  wider: '0.05em',
  widest: '0.1em',
},
lineHeight: {
  none: '1',
  tight: '1.25',
  snug: '1.375',
  normal: '1.5',
  relaxed: '1.625',
  loose: '2',
  3: '.75rem',
  4: '1rem',
  5: '1.25rem',
  6: '1.5rem',
  7: '1.75rem',
  8: '2rem',
  9: '2.25rem',
  10: '2.5rem',
},
listStyleType: {
  none: 'none',
  disc: 'disc',
  decimal: 'decimal',
},
listStyleImage: {
  none: 'none',
},
margin: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
}),
lineClamp: {
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
},
maxHeight: ({ theme }) => ({
  ...theme('spacing'),
  none: 'none',
  full: '100%',
  screen: '100vh',
  svh: '100svh',
  lvh: '100lvh',
  dvh: '100dvh',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
maxWidth: ({ theme, breakpoints }) => ({
  ...theme('spacing'),
  none: 'none',
  xs: '20rem',
  sm: '24rem',
  md: '28rem',
  lg: '32rem',
  xl: '36rem',
  '2xl': '42rem',
  '3xl': '48rem',
  '4xl': '56rem',
  '5xl': '64rem',
  '6xl': '72rem',
  '7xl': '80rem',
  full: '100%',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
  prose: '65ch',
  ...breakpoints(theme('screens')),
}),
minHeight: ({ theme }) => ({
  ...theme('spacing'),
  full: '100%',
  screen: '100vh',
  svh: '100svh',
  lvh: '100lvh',
  dvh: '100dvh',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
minWidth: ({ theme }) => ({
  ...theme('spacing'),
  full: '100%',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
objectPosition: {
  bottom: 'bottom',
  center: 'center',
  left: 'left',
  'left-bottom': 'left bottom',
  'left-top': 'left top',
  right: 'right',
  'right-bottom': 'right bottom',
  'right-top': 'right top',
  top: 'top',
},
opacity: {
  0: '0',
  5: '0.05',
  10: '0.1',
  15: '0.15',
  20: '0.2',
  25: '0.25',
  30: '0.3',
  35: '0.35',
  40: '0.4',
  45: '0.45',
  50: '0.5',
  55: '0.55',
  60: '0.6',
  65: '0.65',
  70: '0.7',
  75: '0.75',
  80: '0.8',
  85: '0.85',
  90: '0.9',
  95: '0.95',
  100: '1',
},
order: {
  first: '-9999',
  last: '9999',
  none: '0',
  1: '1',
  2: '2',
  3: '3',
  4: '4',
  5: '5',
  6: '6',
  7: '7',
  8: '8',
  9: '9',
  10: '10',
  11: '11',
  12: '12',
},
outlineColor: ({ theme }) => theme('colors'),
outlineOffset: {
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
outlineWidth: {
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
padding: ({ theme }) => theme('spacing'),
placeholderColor: ({ theme }) => theme('colors'),
placeholderOpacity: ({ theme }) => theme('opacity'),
ringColor: ({ theme }) => ({
  DEFAULT: theme('colors.blue.500', '#3b82f6'),
  ...theme('colors'),
}),
ringOffsetColor: ({ theme }) => theme('colors'),
ringOffsetWidth: {
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
ringOpacity: ({ theme }) => ({
  DEFAULT: '0.5',
  ...theme('opacity'),
}),
ringWidth: {
  DEFAULT: '3px',
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
rotate: {
  0: '0deg',
  1: '1deg',
  2: '2deg',
  3: '3deg',
  6: '6deg',
  12: '12deg',
  45: '45deg',
  90: '90deg',
  180: '180deg',
},
saturate: {
  0: '0',
  50: '.5',
  100: '1',
  150: '1.5',
  200: '2',
},
scale: {
  0: '0',
  50: '.5',
  75: '.75',
  90: '.9',
  95: '.95',
  100: '1',
  105: '1.05',
  110: '1.1',
  125: '1.25',
  150: '1.5',
},
screens: {
  sm: '640px',
  md: '768px',
  lg: '1024px',
  xl: '1280px',
  '2xl': '1536px',
},
scrollMargin: ({ theme }) => ({
  ...theme('spacing'),
}),
scrollPadding: ({ theme }) => theme('spacing'),
sepia: {
  0: '0',
  DEFAULT: '100%',
},
skew: {
  0: '0deg',
  1: '1deg',
  2: '2deg',
  3: '3deg',
  6: '6deg',
  12: '12deg',
},
space: ({ theme }) => ({
  ...theme('spacing'),
}),
spacing: {
  px: '1px',
  0: '0px',
  0.5: '0.125rem',
  1: '0.25rem',
  1.5: '0.375rem',
  2: '0.5rem',
  2.5: '0.625rem',
  3: '0.75rem',
  3.5: '0.875rem',
  4: '1rem',
  5: '1.25rem',
  6: '1.5rem',
  7: '1.75rem',
  8: '2rem',
  9: '2.25rem',
  10: '2.5rem',
  11: '2.75rem',
  12: '3rem',
  14: '3.5rem',
  16: '4rem',
  20: '5rem',
  24: '6rem',
  28: '7rem',
  32: '8rem',
  36: '9rem',
  40: '10rem',
  44: '11rem',
  48: '12rem',
  52: '13rem',
  56: '14rem',
  60: '15rem',
  64: '16rem',
  72: '18rem',
  80: '20rem',
  96: '24rem',
},
stroke: ({ theme }) => ({
  none: 'none',
  ...theme('colors'),
}),
strokeWidth: {
  0: '0',
  1: '1',
  2: '2',
},
supports: {},
data: {},
textColor: ({ theme }) => theme('colors'),
textDecorationColor: ({ theme }) => theme('colors'),
textDecorationThickness: {
  auto: 'auto',
  'from-font': 'from-font',
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
textIndent: ({ theme }) => ({
  ...theme('spacing'),
}),
textOpacity: ({ theme }) => theme('opacity'),
textUnderlineOffset: {
  auto: 'auto',
  0: '0px',
  1: '1px',
  2: '2px',
  4: '4px',
  8: '8px',
},
transformOrigin: {
  center: 'center',
  top: 'top',
  'top-right': 'top right',
  right: 'right',
  'bottom-right': 'bottom right',
  bottom: 'bottom',
  'bottom-left': 'bottom left',
  left: 'left',
  'top-left': 'top left',
},
transitionDelay: {
  0: '0s',
  75: '75ms',
  100: '100ms',
  150: '150ms',
  200: '200ms',
  300: '300ms',
  500: '500ms',
  700: '700ms',
  1000: '1000ms',
},
transitionDuration: {
  DEFAULT: '150ms',
  0: '0s',
  75: '75ms',
  100: '100ms',
  150: '150ms',
  200: '200ms',
  300: '300ms',
  500: '500ms',
  700: '700ms',
  1000: '1000ms',
},
transitionProperty: {
  none: 'none',
  all: 'all',
  DEFAULT:
    'color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter',
  colors: 'color, background-color, border-color, text-decoration-color, fill, stroke',
  opacity: 'opacity',
  shadow: 'box-shadow',
  transform: 'transform',
},
transitionTimingFunction: {
  DEFAULT: 'cubic-bezier(0.4, 0, 0.2, 1)',
  linear: 'linear',
  in: 'cubic-bezier(0.4, 0, 1, 1)',
  out: 'cubic-bezier(0, 0, 0.2, 1)',
  'in-out': 'cubic-bezier(0.4, 0, 0.2, 1)',
},
translate: ({ theme }) => ({
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  full: '100%',
}),
size: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  '1/5': '20%',
  '2/5': '40%',
  '3/5': '60%',
  '4/5': '80%',
  '1/6': '16.666667%',
  '2/6': '33.333333%',
  '3/6': '50%',
  '4/6': '66.666667%',
  '5/6': '83.333333%',
  '1/12': '8.333333%',
  '2/12': '16.666667%',
  '3/12': '25%',
  '4/12': '33.333333%',
  '5/12': '41.666667%',
  '6/12': '50%',
  '7/12': '58.333333%',
  '8/12': '66.666667%',
  '9/12': '75%',
  '10/12': '83.333333%',
  '11/12': '91.666667%',
  full: '100%',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
width: ({ theme }) => ({
  auto: 'auto',
  ...theme('spacing'),
  '1/2': '50%',
  '1/3': '33.333333%',
  '2/3': '66.666667%',
  '1/4': '25%',
  '2/4': '50%',
  '3/4': '75%',
  '1/5': '20%',
  '2/5': '40%',
  '3/5': '60%',
  '4/5': '80%',
  '1/6': '16.666667%',
  '2/6': '33.333333%',
  '3/6': '50%',
  '4/6': '66.666667%',
  '5/6': '83.333333%',
  '1/12': '8.333333%',
  '2/12': '16.666667%',
  '3/12': '25%',
  '4/12': '33.333333%',
  '5/12': '41.666667%',
  '6/12': '50%',
  '7/12': '58.333333%',
  '8/12': '66.666667%',
  '9/12': '75%',
  '10/12': '83.333333%',
  '11/12': '91.666667%',
  full: '100%',
  screen: '100vw',
  svw: '100svw',
  lvw: '100lvw',
  dvw: '100dvw',
  min: 'min-content',
  max: 'max-content',
  fit: 'fit-content',
}),
willChange: {
  auto: 'auto',
  scroll: 'scroll-position',
  contents: 'contents',
  transform: 'transform',
},
zIndex: {
  auto: 'auto',
  0: '0',
  10: '10',
  20: '20',
  30: '30',
  40: '40',
  50: '50',
},
},
plugins: [],
}`});var _=p((wa,$e)=>{var{join:B}=require("path"),{kebabCase:qo}=require("lodash"),{writeFile:Y}=require("fs-extra"),Fo=async({useTypeScript:e,useSass:t,pageName:o,pagePath:n,fileOverwrite:r,contentOverwrite:s})=>{if([e,t,o,n].some(a=>a==null||a==null))throw new Error("Missing required arguments");let l=qo(o),i=`${o}.${t?"scss":"css"}`,c=`${o}.${e?"tsx":"jsx"}`;if(r)await Y(B(n,c),r);else{let a=`
    import React from 'react';
    import './${i}';
    
    export const ${o} = () => {
          ${(s==null?void 0:s.length)>0?s:`return (
        <div className="${l}-page-container h-full overflow-auto">
              <div>
                <h1>${o} Header</h1>
            <section className="${l}-section">
            <p>${o} Page content</p>
            </section>
          </div>
        </div>
      )`}
    }          
    export default ${o};
    `,u=`.${l}-page-container .${l}-section {
        @apply h-10 w-10 bg-black text-white flex items-center justify-center;
    }`;await Promise.all([Y(B(n,c),a),Y(B(n,i),u)])}};$e.exports={reactPageFactory:Fo}});var G=p((ya,Pe)=>{var{join:J}=require("path"),{kebabCase:To}=require("lodash"),{writeFile:V,ensureDir:Mo}=require("fs-extra"),Wo=async({useTypeScript:e,useSass:t,componentName:o,componentPath:n,fileOverwrite:r,contentOverwrite:s})=>{if([e,t,o,n].some(a=>a==null||a==null))throw new Error("Missing required arguments");await Mo(n);let l=To(o),i=`${o}.${t?"scss":"css"}`,c=`${o}.${e?"tsx":"jsx"}`;if(r)await V(J(pagePath,c),r);else{let a="",u="";e&&(a=`
    export type ${o}Props = {
            id?: string;
          }`,u=`: ${o}Props`);let m=`
import React from 'react';
import './${i}';${a}
export const ${o} = (props${u}) => {
      ${(s==null?void 0:s.length)>0?s:`return (
    <div className="${l}-container">
    <p>${o} Component body</p>
    </div>
  )`}
}          
export default ${o};
`,w=`.${l}-container {
    @apply h-10 w-10 bg-black text-white flex items-center justify-center;
}`;await Promise.all([V(J(n,c),m),V(J(n,i),w)])}};Pe.exports={reactComponentFactory:Wo}});var je=p((ba,Se)=>{var{join:Ce}=require("path"),{writeFile:Io,writeJson:Lo}=require("fs-extra"),Ro=async({projectPath:e})=>{await Promise.all([await Lo(Ce(e,".prettierrc.json"),No,{spaces:2}),await Io(Ce(e,".prettierignore"),Do.trim())])};Se.exports={prettierFactory:Ro};var Do=`dist
node_modules
.prettierrc.json`,No={printWidth:100,tabWidth:2,useTabs:!1,semi:!0,singleQuote:!0,quoteProps:"as-needed",jsxSingleQuote:!1,trailingComma:"es5",bracketSpacing:!0,bracketSameLine:!1,arrowParens:"always",proseWrap:"preserve",htmlWhitespaceSensitivity:"css",endOfLine:"lf",embeddedLanguageFormatting:"auto",overrides:[{files:["*.js","*.jsx","*.ts","*.tsx"],options:{parser:"typescript"}},{files:["*.css","*.scss"],options:{parser:"css"}},{files:"*.json",options:{parser:"json"}},{files:"*.py",options:{parser:"python"}},{files:"*.rs",options:{parser:"rust"}}]}});var Ae=p((xa,Ee)=>{var{join:Ho}=require("path"),{writeFile:Oo}=require("fs-extra"),Uo=async({projectPath:e})=>{await Promise.all([await Oo(Ho(e,"postcss.config.js"),`module.exports = {
    plugins: {
        'postcss-import': {},
        'tailwindcss/nesting': {},
        tailwindcss: { config: './tailwind.config.js' },
        autoprefixer: {},
    }
  }`.trim())])};Ee.exports={postcssFactory:Uo}});var b=p((va,Re)=>{var qe=[e=>`Man, I was waitin' on ${e} so long I started speakin' in cursive bruh`,e=>`I been waitin' on ${e} since back when squirrels still had flip phones`,e=>`Waited on ${e} for so long my shadow started askin' for a chair`,e=>`Boy, ${e} had me waitin' so long my beard started filing taxes separately`,e=>`Shoot, ${e} got me out here so long the birds started asking for my WiFi password`,e=>`${e} had me waitin' so long I saw a tree go through puberty`,e=>`Been waitin' on ${e} since back when dinosaurs were just getting their face tattoos`,e=>`${e} got me waiting so long I started seeing dust bunnies form labor unions`,e=>`Man, ${e} had me out here so long I watched a statue get its AARP card`,e=>`Waiting on ${e} so long my sneakers started writing their memoirs`,e=>`${e} got me standing here so long my legs filed for unemployment`,e=>`Been at ${e} so long the parking meter started asking about my childhood`,e=>`${e} had me waiting till my shadow needed a bathroom break`,e=>`Standing at ${e} so long the concrete asked for my Netflix password`,e=>`Waitin' on ${e} since back when clouds had training wheels`,e=>`${e} got me out here so long the pigeons started a book club`,e=>`Been at ${e} since back when mosquitoes were still in middle school`,e=>`${e} had me waiting so long my playlist started playing itself backwards`,e=>`Standing here at ${e} so long my phone started sending itself text messages`,e=>`Waited on ${e} till my watch started asking for vacation days`,e=>`${e} got me here so long the sidewalk started sharing its life story`,e=>`Been waiting at ${e} since fish were still taking swimming lessons`,e=>`${e} had me out here till the stars started asking for my autograph`,e=>`Waiting on ${e} so long my shoes started a support group`,e=>`${e} got me standing here till the traffic light wrote its autobiography`,e=>`Been at ${e} since back when rocks were still pebbles`,e=>`${e} had me waiting so long my wallet started a podcast`,e=>`Standing at ${e} till the street signs started doing yoga`,e=>`Waiting on ${e} since back when grass was taking height supplements`,e=>`${e} got me here so long the rain started asking for career advice`,e=>`Been at ${e} till my coffee got old enough to order its own coffee`,e=>`${e} had me waiting so long my smartphone went back to being a flip phone`,e=>`Standing here at ${e} till the wind started showing me its vacation photos`,e=>`Waited on ${e} so long my shadow got a part-time job`,e=>`${e} got me here till the moths started paying rent on my wallet`,e=>`Been at ${e} since back when trees were applying for building permits`,e=>`${e} had me waiting so long my patience started growing patience`,e=>`Standing here at ${e} till my heartbeat started morse coding for help`,e=>`Waiting on ${e} so long the air started charging me rent`,e=>`${e} got me here till my thoughts started their own social media`,e=>`Been at ${e} since honey was still applying to be sweet`,e=>`${e} had me waiting so long my dreams started having their own dreams`,e=>`Standing here at ${e} till my reflection started asking for personal space`,e=>`Waiting on ${e} since back when silence was taking voice lessons`,e=>`${e} got me here so long my imagination filed for overtime`,e=>`Been at ${e} till my future started reminiscing about the past`,e=>`${e} had me waiting so long my luck started playing hard to get`,e=>`Standing here at ${e} till my fate started requesting a rain check`,e=>`Waiting on ${e} so long even my patience needed a patience transplant`,e=>`${e} got me here till my destiny started asking for directions home`],zo=e=>{let t=Math.floor(Math.random()*qe.length);return qe[t](e)},Fe=["\u{1F31F} Welcome to the party, we've been expecting someone this awesome!","\u{1F389} Look who just walked into the best part of their day!","\u2728 You're here! Let the adventures begin!","\u{1F680} Houston, we have an amazing user on board!","\u{1F308} Well butter my biscuit, look who's here!","\u{1F3B8} Ladies and gentlemen, the star of the show has arrived!","\u{1F3AA} Step right up to the greatest show in your browser!","\u{1F33A} Welcome! We're all mad here... in a good way!","\u{1F3A8} You've just found where the magic happens!","\u{1F3AE} Player 1 has entered the game!","\u{1F31F} Welcome to the cool side of the internet!","\u{1F3AD} Plot twist: You're about to have an awesome time!","\u{1F3AA} Welcome to the most fun you can have without needing a helmet!","\u{1F3A2} Buckle up, buttercup - the fun starts here!","\u{1F3AF} You've reached your destination: Awesome Town, Population: You","\u{1F3A8} Welcome to where dreams come true (no fairy godmother required)","\u{1F3AD} Congratulations! You've found the best part of the internet!","\u{1F308} Welcome aboard the HMS Awesome!","\u{1F680} Ground Control to Major Fun - You've landed in the right place!","\u{1F3AA} Welcome to the greatest show on your screen!","\u{1F3AE} Achievement Unlocked: Found the Perfect Place!","\u{1F31F} Welcome! Your presence makes this place 20% cooler","\u{1F3AD} You had me at 'loading this page'","\u{1F3AA} Welcome to where the magic happens (no wands required)","\u{1F3A8} Congratulations on making the best click of your day!","\u{1F3AF} Welcome! We've been brewing up something special for you","\u{1F3AD} Plot twist: This is exactly where you need to be!","\u{1F33A} Welcome to your new favorite place on the internet!","\u{1F3AA} Caution: Entering an awesome zone!","\u{1F3AE} Press START to begin your adventure!","\u{1F31F} Welcome to the place where boring doesn't exist!","\u{1F3AD} Prepare to be amazed (or at least mildly impressed)!","\u{1F3AA} Welcome! The fun is about to get real!","\u{1F3A8} You've discovered the secret level - congratulations!","\u{1F308} Welcome to the brighter side of your day!","\u{1F680} Initiating awesome experience in 3... 2... 1...","\u{1F3AA} Welcome to where the wild things are (they're quite friendly)","\u{1F3AE} Your quest for awesome content ends here!","\u{1F31F} Welcome! High fives and good vibes await!","\u{1F3AD} Spoiler alert: You're going to love it here!","\u{1F3AA} Welcome to the most fun you can have while still being productive!","\u{1F3A8} You've found it - the pot of gold at the end of the internet!","\u{1F33A} Welcome to your new digital happy place!","\u{1F3AE} Game on! Your adventure starts now!","\u{1F31F} Welcome to where awesome happens!","\u{1F3AD} Ready for something amazing? You're in the right place!","\u{1F3AA} Welcome aboard the SS Good Times!","\u{1F3A8} This is where the magic happens (and by magic, we mean awesome)","\u{1F308} Welcome to your new favorite corner of the internet!","\u{1F680} Prepare for liftoff to Awesome-ville!"],Bo=()=>{let e=Math.floor(Math.random()*Fe.length);return Fe[e]},Te=["\u2728 What wonderful adventure shall we embark on today?","\u{1F31F} Ready to sprinkle some magic into your day?","\u{1F3A8} Let's paint something beautiful together!","\u{1F680} Your next amazing moment awaits below!","\u{1F308} Pick a path to your next smile!","\u{1F3AE} Player 1, your next move awaits!","\u{1F3AA} Step right up and choose your next delight!","\u{1F33A} Which flower in our garden catches your eye?","\u{1F3AD} The stage is set - what's your next scene?","\u{1F98B} Where shall your wings take you next?","\u{1F3A8} Your palette of possibilities awaits!","\u2728 Choose your next spark of joy!","\u{1F31F} What wonderful thing should we create together?","\u{1F3AA} Pick your next pocket of happiness!","\u{1F308} Which color speaks to your heart right now?","\u{1F3AE} Ready to level up your awesome?","\u{1F33A} Which petal of possibility calls to you?","\u{1F3AD} What role would you like to play next?","\u{1F98B} Which direction shall we flutter?","\u{1F680} Choose your next mission, space explorer!","\u2728 Where shall we sprinkle some magic?","\u{1F3A8} Which masterpiece shall we craft today?","\u{1F31F} Pick your path to wonderful!","\u{1F3AA} What trick shall we pull from our hat?","\u{1F308} Select your next slice of delight!","\u{1F3AE} Choose your character's next quest!","\u{1F33A} Which garden shall we tend to?","\u{1F3AD} Select your next moment of glory!","\u{1F98B} Where shall your curiosity lead us?","\u{1F680} Launch into your next adventure!","\u2728 What sparkly path catches your eye?","\u{1F3A8} Which color shall we paint with first?","\u{1F31F} Ready to make some magic happen?","\u{1F3AA} Pick your next act of awesome!","\u{1F308} Choose a rainbow to chase!","\u{1F3AE} Select your power-up!","\u{1F33A} Which bloom shall we nurture?","\u{1F3AD} Your story continues - which chapter next?","\u{1F98B} Flutter toward your next discovery!","\u{1F680} Chart your course to amazing!","\u2728 Where shall we wave our wand?","\u{1F3A8} Which canvas calls your name?","\u{1F31F} Pick your next burst of brilliant!","\u{1F3AA} Choose your next feat of fantastic!","\u{1F308} Select your stripe of spectacular!","\u{1F3AE} Ready player one - choose your path!","\u{1F33A} Which wonder shall we witness?","\u{1F3AD} Pick your next scene of spectacular!","\u{1F98B} Choose which way to spread your wings!","\u{1F680} Select your launchpad to lovely!"],Yo=()=>{let e=Math.floor(Math.random()*Te.length);return Te[e]},Me=[e=>`\u{1F389} ${e} has graduated from the School of Getting Things Done!`,e=>`\u2728 ${e} just struck a pose and said "I'm ready for my close-up!"`,e=>`\u{1F680} ${e} has achieved lift-off! Ground Control says we nailed it!`,e=>`\u{1F3A8} ${e} just got its glow-up, and honestly? Work of art.`,e=>`\u{1F3AA} Ladies and gentlemen, ${e} has left the building... because it's done!`,e=>`\u{1F31F} ${e} just earned its PhD in Being Absolutely Perfect`,e=>`\u{1F3AE} ${e} has unlocked the achievement: "Nailed It!"`,e=>`\u{1F984} ${e} just sprouted a horn and became magical!`,e=>`\u{1F3AD} ${e} just took its final bow - standing ovation, please!`,e=>`\u{1F308} ${e} just found its pot of gold, and it's called completion!`,e=>`\u{1F3AA} ${e} just stuck the landing - even the Russian judge is impressed!`,e=>`\u{1F3A8} ${e} is so done, it's making the Mona Lisa jealous!`,e=>`\u{1F680} Houston, ${e} has successfully landed in the Done Zone!`,e=>`\u2728 ${e} just got its star on the Walk of Fame!`,e=>`\u{1F3AE} Game Over! ${e} wins flawless victory!`,e=>`\u{1F31F} ${e} just leveled up to: Absolutely Amazing!`,e=>`\u{1F3AA} ${e} just moonwalked its way to completion!`,e=>`\u{1F984} ${e} just went from "once upon a time" to "happily ever after"!`,e=>`\u{1F3AD} Plot twist: ${e} is actually completely finished!`,e=>`\u{1F308} ${e} just reached the end of the rainbow - no pot of gold, just pure satisfaction!`,e=>`\u2728 ${e} just got its black belt in being awesome!`,e=>`\u{1F3A8} ${e} is so polished, it's basically a mirror now!`,e=>`\u{1F680} ${e} just broke the sound barrier of productivity!`,e=>`\u{1F3AA} ${e} just dropped the mic and walked off stage!`,e=>`\u{1F31F} ${e} just wrote itself into the history books!`,e=>`\u{1F3AE} ${e} just set a new speed-run record!`,e=>`\u{1F984} ${e} just evolved like a magical Pok\xE9mon!`,e=>`\u{1F3AD} ${e} just got a standing ovation from my CPU!`,e=>`\u{1F308} ${e} just reached nirvana, digital style!`,e=>`\u2728 ${e} just got its diploma in Pure Awesomeness!`,e=>`\u{1F3A8} ${e} is so ready, it's already fashionably late for its next project!`,e=>`\u{1F680} ${e} just did a barrel roll into the done folder!`,e=>`\u{1F3AA} ${e} just pulled itself out of a hat - ta-da!`,e=>`\u{1F31F} ${e} just got verified on Twitter... of completion!`,e=>`\u{1F3AE} ${e} just entered the cheat code for instant perfection!`,e=>`\u{1F984} ${e} just majored in Magic with a minor in Awesome!`,e=>`\u{1F3AD} ${e} just got cast as the lead role in "Mission Accomplished"!`,e=>`\u{1F308} ${e} just found out where rainbows come from - the done bucket!`,e=>`\u2728 ${e} just earned its citizenship in Doneville!`,e=>`\u{1F3A8} ${e} is so complete, it's teaching completion to other projects!`,e=>`\u{1F680} ${e} just teleported to dimension: FINISHED!`,e=>`\u{1F3AA} ${e} just performed its victory dance!`,e=>`\u{1F31F} ${e} just got voted "Most Likely to Succeed" - and it did!`,e=>`\u{1F3AE} ${e} just unlocked the secret ending!`,e=>`\u{1F984} ${e} just turned all its bugs into butterflies!`,e=>`\u{1F3AD} ${e} just wrote itself a happy ending!`,e=>`\u{1F308} ${e} just won gold in the Completion Olympics!`,e=>`\u2728 ${e} just graduated from the University of Getting Stuff Done!`,e=>`\u{1F3A8} ${e} just painted itself into the hall of fame!`,e=>`\u{1F680} ${e} just discovered the speed of done - it's pretty fast!`],_o=e=>{let t=Math.floor(Math.random()*Me.length);return Me[t](e)},We=[e=>`\u{1F512} ${e} remains unchanged - it politely declined all modifications`,e=>`\u2728 ${e} remains in its original state - no changes were applied`,e=>`\u{1F6E1}\uFE0F ${e} was preserved - all changes were prevented`,e=>`\u{1F4DD} ${e} stayed the same - no modifications were made`,e=>`\u{1F504} ${e} keeps its original version - changes were not applied`,e=>`\u{1F3AF} ${e} maintained its state - all changes were skipped`,e=>`\u{1F510} ${e} is unchanged - modifications were blocked`,e=>`\u26A1 ${e} stayed intact - no changes were processed`,e=>`\u{1F3A8} ${e} remains original - changes were not saved`,e=>`\u{1F50D} ${e} is unmodified - changes were prevented`,e=>`\u{1F4CB} ${e} keeps its original content - no overwriting occurred`,e=>`\u{1F6AB} ${e} remains the same - changes were not implemented`,e=>`\u{1F4AB} ${e} stays unchanged - modifications were cancelled`,e=>`\u{1F3AD} ${e} maintains its original form - no changes applied`,e=>`\u{1F512} ${e} kept its original state - changes were declined`,e=>`\u2728 ${e} remains untouched - no modifications were saved`,e=>`\u{1F6E1}\uFE0F ${e} stays protected - changes were not processed`,e=>`\u{1F4DD} ${e} is still original - modifications were prevented`,e=>`\u{1F504} ${e} remains unaltered - no changes were made`,e=>`\u{1F3AF} ${e} keeps its initial state - changes were blocked`,e=>`\u{1F510} ${e} stayed unchanged - no modifications applied`,e=>`\u26A1 ${e} maintains status quo - changes were not saved`,e=>`\u{1F3A8} ${e} remains as is - no modifications occurred`,e=>`\u{1F50D} ${e} is still the same - changes were skipped`,e=>`\u{1F4CB} ${e} keeps original version - no changes processed`,e=>`\u{1F6AB} ${e} stays unmodified - changes were prevented`,e=>`\u{1F4AB} ${e} remains intact - no modifications saved`,e=>`\u{1F3AD} ${e} maintains original state - changes blocked`,e=>`\u{1F512} ${e} is still intact - no changes were applied`,e=>`\u2728 ${e} remains pristine - modifications were prevented`,e=>`\u{1F6E1}\uFE0F ${e} stays original - no changes were saved`,e=>`\u{1F4DD} ${e} kept its state - modifications were blocked`,e=>`\u{1F504} ${e} remains unchanged - no changes processed`,e=>`\u{1F3AF} ${e} stays unaltered - modifications prevented`,e=>`\u{1F510} ${e} maintains original content - no changes applied`,e=>`\u26A1 ${e} is still original - modifications were skipped`,e=>`\u{1F3A8} ${e} remains unchanged - no changes were saved`,e=>`\u{1F50D} ${e} stays the same - modifications blocked`,e=>`\u{1F4CB} ${e} maintains its state - no changes applied`,e=>`\u{1F6AB} ${e} kept original version - modifications prevented`,e=>`\u{1F4AB} ${e} remains unmodified - no changes saved`,e=>`\u{1F3AD} ${e} stays intact - modifications were blocked`,e=>`\u{1F512} ${e} maintains current state - no changes applied`,e=>`\u2728 ${e} remains unchanged - modifications prevented`,e=>`\u{1F6E1}\uFE0F ${e} stays original - changes were blocked`,e=>`\u{1F4DD} ${e} is unmodified - no changes were saved`,e=>`\u{1F504} ${e} maintains original form - modifications skipped`,e=>`\u{1F3AF} ${e} remains the same - no changes processed`,e=>`\u{1F510} ${e} stays unchanged - modifications prevented`,e=>`\u26A1 ${e} keeps its state - no changes were applied`],Jo=e=>{let t=Math.floor(Math.random()*We.length);return We[t](e)},Ie=["\u{1F914} Task failed successfully! We're just as confused as you are","\u{1F3B2} Error 404: Common sense not found in the server room","\u{1F50C} The hamsters powering our servers are on strike. Union negotiations in progress","\u{1F3AD} Plot twist! This isn't working because... well... we're still figuring that out","\u{1F321}\uFE0F Our servers are having a hot flash. Maybe send them some ice cream?","\u{1F3AA} The circus has left town and took our functionality with it","\u{1F9E9} Error: Instructions unclear, server started taking dance lessons","\u{1F3AE} Game Over! Insert more coffee to continue","\u{1F3A8} We painted ourselves into a corner. Please wait for digital paint to dry","\u{1F32A}\uFE0F Your request got lost in a digital tornado. Kansas says hi!","\u{1F3AD} Drama alert! The database is having an existential crisis","\u{1F3AA} Our code is currently performing interpretive dance instead of its job","\u{1F52E} The crystal ball is cloudy. Have you tried turning it off and on again?","\u{1F3B2} Error: Server is playing dice with Einstein. God does not approve","\u{1F3A8} Our pixels are currently experiencing modern art syndrome","\u{1F984} The unicorns powering our rainbow generator have gone on vacation","\u{1F3AD} Server is practicing its acceptance speech. Please hold for applause","\u{1F308} Error: Color coordination failed. System is temporarily goth","\u{1F3AA} The circus called - they want their chaos back","\u{1F527} Our technical difficulties are having technical difficulties","\u{1F3B2} Computer says no... but in a fun way!","\u{1F3A8} We tried drawing a solution, but our digital crayons melted","\u{1F3AD} Error: Server went to drama school instead of tech school","\u{1F984} Reality.exe has stopped working. Loading fantasy protocols","\u{1F3AA} System.out.of.clever.error.messages... Loading dad jokes instead","\u{1F3B2} Quantum error: Server is simultaneously working and not working","\u{1F3A8} Error 418: I'm a teapot... No, really, look it up!","\u{1F3AD} The stage is set, but the actors (aka servers) forgot their lines","\u{1F308} Warning: Unicorn overflow in database. Rainbow spill imminent","\u{1F3AA} Error: Server ran away to join the circus. Sending search party","\u{1F52E} Future unclear. Ask again after coffee break","\u{1F3B2} Chaos Mode: Activated (Not by choice, we assure you)","\u{1F3A8} Our code has decided to pursue a career in abstract art","\u{1F3AD} Error: Server is having a midlife crisis. Please be patient","\u{1F984} The magic smoke escaped. Currently catching it with a digital net","\u{1F3AA} System.err.ourBad.exe has encountered a whoopsie","\u{1F527} Have you tried unplugging the universe and plugging it back in?","\u{1F3B2} Error: Success not found. Task failed successfully instead","\u{1F3A8} Warning: Server is experiencing temporary color blindness","\u{1F3AD} Plot twist: Everything is fine! (Just kidding, nothing works)","\u{1F984} Error: Reality check bounced. Dreams currently unreachable","\u{1F3AA} The bits have staged a revolt. Negotiations pending","\u{1F52E} Server's crystal ball needs recalibration. Using magic 8 ball instead","\u{1F3B2} Error: Server made a bet with Murphy's Law and lost","\u{1F3A8} Our pixel sorter had a hiccup. Results may be abstract","\u{1F3AD} The server is taking a meditation break to find its inner peace","\u{1F984} Error: Magic levels critically low. Please clap if you believe in servers","\u{1F3AA} Warning: Spontaneous digital combustion in progress","\u{1F527} Success machine broke. We got error though","\u{1F3B2} Error: Server fell down the rabbit hole. Send digital rescue team"],Vo=()=>{let e=Math.floor(Math.random()*Ie.length);return Ie[e]},Le=["\u{1F504} Everything's back to square negative one! Reset complete","\u{1F3B2} Ctrl+Z'd the whole universe! All settings restored to default","\u{1F3AE} Game reset! Your save file is now fresh as a digital daisy","\u{1F31F} Time machine activated! Everything's back to factory settings","\u{1F3A8} Canvas cleared! We've painted everything back to pristine defaults","\u{1F50C} We told everything to turn off and on again. It actually worked!","\u{1F3AD} Plot twist: Everything's gone back to Episode 1, Season 1","\u{1F680} Houston, we've initiated the giant reset button. All systems fresh","\u{1F3AA} The circus packed up and took all your settings with it. Fresh start!","\u{1F52E} Crystal ball cleared! Future now comes with default settings","\u{1F3B2} Rolled a natural 20 on System Restore. Critical success!","\u{1F3A8} Digital spring cleaning complete! Everything's factory fresh","\u{1F308} Found the end of the rainbow - it was the reset button!","\u{1F3AE} Achievement Unlocked: Total Reset! Starting from tutorial mode","\u{1F3AD} Intermission over! Act 1, Scene 1 restored","\u{1F504} Rewound the digital tape! Everything's back to the start","\u{1F3AA} The magic show's over - everything disappeared back to defaults","\u{1F31F} Star systems realigned! All settings reverted to cosmic defaults","\u{1F3B2} Reshuffled the deck! All cards back in default order","\u{1F3A8} Ctrl+A, Delete! Canvas restored to pristine condition","\u{1F52E} Memory dust sprinkled! System restored to its original dreams","\u{1F3AD} Plot reset! All character development back to Chapter 1","\u{1F680} Initiated emergency landing to Factory Settings Planet","\u{1F3AA} Reset button did a backflip - everything's back to basics!","\u{1F504} Digital time machine: Destination 'Factory Fresh' reached","\u{1F3B2} Rolled the dice of destiny - snake eyes! Complete reset achieved","\u{1F3A8} Eraser tool gone wild! Everything's pristine again","\u{1F308} Followed the rainbow back to default settings","\u{1F3AE} Pressed the legendary Konami Code of Reset","\u{1F3AD} Director yelled 'Cut!' - back to Scene 1 we go","\u{1F52E} Fortune teller said 'Try turning it off and on again'","\u{1F3AA} The great disappearing act: All settings gone to defaults","\u{1F31F} Cosmic do-over initiated! Everything's factory fresh","\u{1F3B2} Reset card played! Super effective!","\u{1F3A8} Digital Marie Kondo'd your settings back to default","\u{1F504} Time stone activated - everything's back to the beginning","\u{1F3AE} Quick-loaded the original save file. All fresh!","\u{1F3AD} System performed the ultimate encore: The Total Reset","\u{1F680} Beam me up, Scotty! To factory settings, maximum warp!","\u{1F3AA} The great reset circus has left town - everything's default","\u{1F52E} Magic mirror on the wall, who's the most default of them all? You are!","\u{1F3B2} Computer says no... to all previous settings","\u{1F3A8} Digital artwork restored to blank canvas","\u{1F308} Somewhere over the rainbow... everything got reset","\u{1F3AE} Game Over! Continue from last checkpoint: Factory Settings","\u{1F3AD} Reset button took a bow - standing ovation for default settings","\u{1F504} Everything's gone back to the future... of the past","\u{1F3AA} Ta-da! Everything's magically back to default","\u{1F31F} Success! Your settings have achieved digital nirvana (default state)","\u{1F3B2} Yahtzee! All settings rolled back to start"],Go=()=>{let e=Math.floor(Math.random()*Le.length);return Le[e]};Re.exports={getRandomResetMsg:Go,getFailureMsg:Vo,getAbortMsg:Jo,getCompletionMsg:_o,getRandomActionPrompt:Yo,getRandomWaitingJoke:zo,getRandomWelcome:Bo}});var f=p((ka,De)=>{var{existsSync:j}=require("fs-extra"),{parse:Ko,join:T,dirname:Qo}=require("path"),{cwd:Zo}=require("process");function M(e="",t=!0){let o=Zo();for(;o!==Ko(o).root;){let n=T(o,"package.json");if(j(n)){let r=o;return e!=null&&e.startsWith("/")?r+e:(e==null?void 0:e.length)>0?r+"/"+e:o}o=Qo(o)}if(t)throw new Error("No project found")}function Xo(e=!0){let t=M("public"),o=T(t,"manifest.json");if(j(o))return!0;if(e)throw new Error("No browser extension found");return!1}function en(){let e=M(),t=T(e,"tsconfig.json");return!!j(t)}function tn(){let e=M(),t=T(e,"package.json");if(j(t)){let o=require(t),n=["sass","node-sass","sass-loader"];for(let r of n)if(o.dependencies[r]||o.devDependencies[r])return!0}return!1}var on=e=>{j(e)||(console.error(`Error: '${e}' does not exist.`),process.exit(1))};De.exports={projectHasBrowserExt:Xo,validateFilePath:on,projectHasSass:tn,projectHasTypeScript:en,findNearestProject:M}});var E=p(($a,He)=>{var x=require("fs"),W=require("path"),$=require("dotenv"),nn=require("os"),{getRandomResetMsg:rn}=b(),I="ESYR_",L=(e="")=>{let t=W.join(nn.homedir(),".esyr-cli");return x.existsSync(t)||x.mkdirSync(t),W.join(t,e)},K=(e="")=>W.join(process.cwd(),e);async function sn(e,t,o=!1){try{e=I+e;let n=o?L(".env"):K(".env");o&&console.warn("Saving preference globally...");let r={};x.existsSync(n)&&(r=$.parse(x.readFileSync(n)));let s={...r,[e]:t},d=Object.entries(s).map(([l,i])=>`${l}=${i}`).join(`
`);return await x.promises.writeFile(n,d,{mode:384,flag:"w"}),o?console.warn("Global preference securely stored!"):await Ne(),!0}catch(n){return console.error("Error storing Env var:",n.message),!1}}async function an(e){try{return $.config({path:L(".env")}),$.config(),e=I+e,process.env[e]}catch(t){throw console.error(`Error retrieving Env var '${e}':`,t.message),t}}async function cn(){try{return $.config({path:L(".env")}),$.config(),Object.keys(process.env).filter(t=>t.startsWith(I)).reduce((t,o)=>(t[o.replace(I,"")]=process.env[o],t),{})}catch(e){throw console.error("Error retrieving Env:",e.message),e}}async function Ne(){let e=W.join(K(),".gitignore");try{let t="";if(x.existsSync(e)&&(t=await x.promises.readFile(e,"utf8")),!t.split(`
`).some(o=>o.trim()===".env")){let o=t+(t.endsWith(`
`)?"":`
`)+`.env
`;await x.promises.writeFile(e,o,{flag:"w"}),console.log("Added .env to .gitignore")}}catch(t){console.warn("Warning: Could not update .gitignore:",t.message)}}async function ln(){try{let e=L(".env");$.config({path:e}),$.config();let t=K(".env");await x.promises.writeFile(t,"",{mode:384,flag:"w"}),await x.promises.writeFile(e,"",{mode:384,flag:"w"});let o=rn();console.log(`

${o}

`)}catch(e){throw console.error("Error overwriting env vars to default values:",e.message),e}}He.exports={resetEnv:ln,getEnv:cn,getEnvVar:an,setEnvVar:sn,ensureGitignore:Ne}});var k=p((Pa,Oe)=>{var{prompt:dn}=require("inquirer"),{setEnvVar:pn,getEnvVar:un}=E();async function mn(e,t=""){let o=`DEFAULT_${e.toUpperCase().replace("s","_")}_PATH`,n=await un(o);if(!n){let{providedPath:r}=await dn([{type:"input",name:"providedPath",message:`
Where should a '${e}' be created? (user preference)
`,default:t||"./src/"+e+"s"}]);n=r,await pn(o,n)}return n}var hn={tryAskPath:mn};Oe.exports={PrefProvider:hn}});var A=p((Ca,Ue)=>{var{readJsonSync:gn}=require("fs-extra"),Q=class{constructor(t=""){t.endsWith("package.json")?this.filePath=t:this.filePath=t+"/package.json",this.filePath=t+"/package.json",this.content=null}async load(){try{let t=await gn(this.filePath,{throws:!1});return this.content=t,this.content}catch(t){throw t.code==="ENOENT"?new Error(`package.json not found at ${this.filePath}`):new Error(`Error reading package.json: ${t.message}`)}}get(t){return this.content||this.load(),t.split(".").reduce((o,n)=>o&&o[n],this.content)}getAllDependencies(){return this.content||this.load(),{...this.content.dependencies,...this.content.devDependencies}}hasPackage(t){return!!this.getAllDependencies()[t]}getPackageVersion(t){return this.getAllDependencies()[t]||null}};Ue.exports={ProjectProvider:Q}});var Je=p((Sa,_e)=>{var{join:g}=require("path"),{prompt:ze}=require("inquirer"),fn=require("child_process"),{packageJsonData:y}=re(),{buildScriptContent:wn}=ae(),{commonScriptContent:yn}=ce(),{startScriptContent:bn}=de(),{ensureDir:P,writeJson:Be,writeFile:C}=require("fs-extra"),{tsConfigJsonData:xn}=ue(),{indexHtmlContent:vn}=he(),{indexComponentContent:kn}=fe(),{appComponentContent:$n}=ye(),{tailwindFactory:Pn}=ke(),{reactPageFactory:Cn}=_(),{reactComponentFactory:Sn}=G(),{prettierFactory:jn}=je(),{postcssFactory:En}=Ae(),{getCompletionMsg:An}=b(),{findNearestProject:Ye}=f(),{PrefProvider:qn}=k(),{ProjectProvider:Fn}=A(),Tn=["proj","project"];async function Mn(){let e=Ye("",!1),t=new Fn(e);if(e){await t.load();let z=t.get("name"),{nestProject:co}=await ze([{type:"confirm",name:"nestProject",message:`Active project found ('${z}'), would you like to nest a sub-project?`}]);if(!co){console.log(`


Project creation cancelled.


`);return}}let o=await qn.tryAskPath("sub project","packages"),n=Ye(o),{projectName:r,useTypeScript:s,useSass:d,useFontAwesome:l}=await ze([{type:"input",name:"projectName",message:"What is the name of your project?",default:"esy-react-app"},{type:"confirm",name:"useTypeScript",message:"Use Typescript?"},{type:"confirm",name:"useSass",message:"Use SASS (.scss files)?"},{type:"confirm",name:"useFontAwesome",message:"Use Font Awesome?"}]),i=g(n,r);await P(i),console.log(`

Creating a new React project '${r}'`),y.name=r,s&&(y.devDependencies["@types/react"]="^18.3.4",y.devDependencies["@types/react-dom"]="^18.3.0",y.dependencies.typescript="^5.5.4",await Be(g(i,"tsconfig.json"),xn,{spaces:2})),d&&(y.devDependencies.sass="^1.78.0",y.dependencies["esbuild-sass-plugin"]="^3.3.1"),l&&(y.dependencies["@fortawesome/fontawesome-svg-core"]="^6.6.0",y.dependencies["@fortawesome/free-brands-svg-icons"]="^6.6.0",y.dependencies["@fortawesome/free-regular-svg-icons"]="^6.6.0",y.dependencies["@fortawesome/free-solid-svg-icons"]="^6.6.0",y.dependencies["@fortawesome/react-fontawesome"]="^0.2.2");let c=g(i,"src");await P(c);let a=g(i,"public");await P(a);let u=g(i,"scripts");await P(u);let m=g(c,"pages");await P(m);let w=g(c,"components");await P(w);let S="MainPage";await P(`${m}/${S}`),await Promise.all([Be(g(i,"package.json"),y,{spaces:2}),C(g(u,"common.js"),yn({useSass:d}).trim()),C(g(u,"_start.js"),bn.trim()),C(g(u,"_build.js"),wn.trim()),C(g(c,"index.tsx"),kn({projectName:r}).trim()),C(g(c,"App.tsx"),$n({projectName:r,useTypeScript:s,pageName:S}).trim()),C(g(a,"index.html"),vn({projectName:r}).trim()),Cn({useTypeScript:s,useSass:d,pageName:S,pagePath:`${m}/${S}`,contentOverwrite:`return (<div className='py-5 grid gap-5'>
          <div className='px-5'>
            <h1 className='text-2xl font-black'>Welcome to ${r}</h1>
            <p>Scaffold out some web components using the esy-react cli!</p>
          </div>
          <div className='px-10 py-5 bg-black/10 grid gap-2.5'>
            <h2 className='text-lg font-bold'>Commands:</h2>
            <ul className='pl-5'>
              <li>Create a Page...............<span className='bg-black px-2 rounded text-white select-all'>esyr page</span></li>
              <li>Create a Component...............<span className='bg-black px-2 rounded text-white select-all'>esyr component</span></li>
              <li>Create a Hook...............<span className='bg-black px-2 rounded text-white select-all'>esyr hook</span></li>
              <li>Create a Context...............<span className='bg-black px-2 rounded text-white select-all'>esyr context</span></li>
              <li>Create a ServiceWorker...............<span className='bg-black px-2 rounded text-white select-all'>esyr worker</span></li>
            </ul>
            <h2 className='text-lg font-bold'>Browser Extension:</h2>
            <ul className='pl-5'>
              <li>Initialize the project as a Browser Ext...............<span className='bg-black px-2 rounded text-white select-all'>esyr browser-ext</span></li>
              <li>Create a Content Script...............<span className='bg-black px-2 rounded text-white select-all'>esyr content-script</span></li>
            </ul>
          </div>
        </div>)`}),Sn({useTypeScript:s,useSass:d,componentName:"HelloComponent",componentPath:`${w}/HelloComponent`,contentOverwrite:`return (<div className='px-5 font-black'>
            <p>Hello Component!</p>
          </div>)`}),Pn({projectPath:i,projectName:r}),En({projectPath:i}),jn({projectPath:i}),C(g(i,".gitignore"),`dist
node_modules/**/*
dist/*.(js|css|json|map|html)
.DS_STORE`)]);let U=An(r);console.log(`

${U}
`),console.log(`

Installing dependencies...

`),fn.execSync(`cd ${r} && npm install && npm run format`)}_e.exports={addProject:Mn,addProjectCmds:Tn}});var R=p((ja,Ve)=>{var Wn=({typescript:e=!1,dependencies:t=[]})=>{let o=e?`
    Follow Typescript Syntax:
      - Define interface for props
      - Export interface for external use
      - Use meaningful type annotations
      - Include return types
      - Type all event handlers
`:"";return`
You are a specialized React component generator that produces clean, well-documented code. When given a natural language description, you will output ONLY valid React component file contents.

Core Rules:
- NEVER Start a response with Markdown or backticks
- Start EVERY response with "import React"...
- Place ALL static data at the start after imports
- Format with consistent indentation and spacing
- HTML should be enriched with TailwindCSS classes
${t.length?`- NEVER import packages that do not exist
- NEVER use relative imports
    
    STRICTLY import from this list (as needed):${t.map(r=>`
 - "${r}"`)}
`:""}

Code Structure:
1. Imports
2. Static data
4. Component declaration
5. Hooks
6. Helper functions
7. Return statement
8. Exports

${o}
`};Ve.exports={reactSysPromptFactory:Wn}});var D=p((Ea,Ge)=>{var In=`
You are an expert Service Worker developer. When given a natural language description, generate secure, production-ready service worker code following these guidelines:

CORE REQUIREMENTS:
1. START immediately with code - no introductions or explanations
2. NEVER respond with Markdown, notes, bullet points, a summary, "Essentially", or any other closing phrase or summary
3. Place configuration and cache names at top
4. Add TypeScript types where needed
5. Structure: config \u2192 lifecycle \u2192 helpers \u2192 handlers

SECURITY:
1. Validate all requests
2. Handle CORS properly
3. Implement security headers
4. Validate cache keys
5. Version all caches

CACHING:
1. Define strategies per resource type
2. Handle cache cleanup
3. Implement offline fallbacks
4. Version control cached assets
5. Manage storage quotas

STRUCTURE:
\`\`\`javascript
// Required sections
const CONFIG = {
  version: 'v1',
  cacheNames: {},
  securityHeaders: {}
};

// Lifecycle events
self.addEventListener('install', ...);
self.addEventListener('activate', ...);

// Helper functions
const cacheFirst = async (request) => {};
const networkFirst = async (request) => {};

// Event handlers
self.addEventListener('fetch', ...);
\`\`\`
If unclear:
1. Use secure defaults
2. Add clear comments
3. Focus on core functionality

The code must handle:
1. Security
2. Caching
3. Offline support
4. Updates
5. Errors
`;Ge.exports={SW_SYSTEM_PROMPT:In}});var H=p((Aa,Ke)=>{var N=require("readline"),Z=class{constructor(){this.frames=["\u280B","\u2819","\u2839","\u2838","\u283C","\u2834","\u2826","\u2827","\u2807","\u280F"],this.currentFrame=0,this.interval=null}start(t="Loading"){process.stdout.write("\x1B[?25l"),this.updateMessage(t)}stop(){clearInterval(this.interval),N.clearLine(process.stdout,0),N.cursorTo(process.stdout,0),process.stdout.write(`
\x1B[?25h`)}updateMessage(t){clearInterval(this.interval),this.interval=setInterval(()=>{N.clearLine(process.stdout,0),N.cursorTo(process.stdout,0),process.stdout.write(`${this.frames[this.currentFrame]} ${t}`),this.currentFrame=(this.currentFrame+1)%this.frames.length},80)}};Ke.exports={ProgressUtil:Z}});var O=p((qa,Ze)=>{var{setEnvVar:Ln,getEnvVar:Qe}=E(),{prompt:Rn}=require("inquirer");async function Dn(e,t={},{maxRetries:o=3,baseDelay:n=1e3,maxDelay:r=3e4,timeout:s=1e3*15}={}){let d=async(c,a)=>{let u=new AbortController,m=setTimeout(()=>u.abort(),s);try{let w=await fetch(c,{...a,signal:u.signal});return clearTimeout(m),w}catch(w){throw clearTimeout(m),w}},l=c=>Math.min(r,n*Math.pow(2,c))+Math.floor(Math.random()*1e3),i=null;for(let c=0;c<o;c++)try{c>0&&console.warn(`

Request Failed. Attempting retry ${c}...
`);let a=await d(e,t);if(!a.ok)throw new Error(`HTTP error! status: ${a.status}`);return a}catch(a){if(i=a,a.name==="AbortError"||a.response&&a.response.status<500)throw a;if(c===o-1)throw i;let u=l(c);await new Promise(m=>setTimeout(m,u))}}async function Nn(e){console.log(`
No API key for '${e}' found in environment. `);let{apiKey:t}=await Rn([{type:"password",name:"apiKey",message:`
Please enter a valid API key to continue:
`}]);return e=e.toUpperCase(),await Ln(`${e}_API_KEY`,t,!0),t}async function Hn(e){try{e=e.toUpperCase();let t=await Qe(`${e}_API_KEY`);return t||await Nn(e)}catch(t){throw console.error("Error retrieving API key:",t.message),t}}async function On(e){return e=e.toUpperCase(),!!await Qe(`${e}_API_KEY`)}var Un={fetchWithExpBackoff:Dn,getApiKey:Hn,isApiKeySet:On};Ze.exports={ApiProvider:Un}});var ot=p((Fa,tt)=>{var{reactSysPromptFactory:zn}=R(),{SW_SYSTEM_PROMPT:Bn}=D(),{ProgressUtil:Yn}=H(),{ApiProvider:Xe}=O(),{ProjectProvider:_n}=A(),{getRandomWaitingJoke:Jn}=b(),{findNearestProject:Vn}=f(),et={vendor:"anthropic",value:"claude-3-5-sonnet-20241022",short:"Claude Sonnet",name:"Claude 3.5 Sonnet (API)"};async function Gn(e,t,o){var i;let n=await Xe.getApiKey(o.vendor);if(console.log(`
`),!n){console.log(`
Anthropic API key not found. 

`);return}let r,s=Vn("",!1),d=new _n(s);switch(await d.load(),t){case"sw":case"worker":case"service-worker":r=Bn;break;case"fc":case"function":case"functional":case"functional-component":default:let c=d.get("dependencies"),a=Object.entries(c).map(([m,w])=>m),u=(a==null?void 0:a.length)&&a.includes("typescript");r=zn({dependencies:a,typescript:u});break}console.log(`
`);let l=new Yn;try{let c=Jn(o.vendor);l.start(c);let a=await Xe.fetchWithExpBackoff("https://api.anthropic.com/v1/messages",{method:"POST",headers:{"Content-Type":"application/json","x-api-key":n,"anthropic-version":"2023-06-01"},body:JSON.stringify({model:o.value,system:r,messages:[{role:"user",content:e}],max_tokens:1024*2})}),u=await a.json();if(!a.ok)throw console.log(`

Claude error response:
`,u),new Error(`API request failed: ${((i=u.error)==null?void 0:i.message)||a.statusText}`);return l.stop(),u.content[0].text}catch(c){throw l.stop(),c}}tt.exports={ClaudeModel:et,askClaudeSonnet:(e,t)=>Gn(e,t,et)}});var at=p((Ma,st)=>{var{reactSysPromptFactory:Kn}=R(),{SW_SYSTEM_PROMPT:Qn}=D(),{ProgressUtil:Zn}=H(),{ApiProvider:Ta}=O(),{ProjectProvider:Xn}=A(),{findNearestProject:er}=f(),tr=require("path"),nt=require("fs"),or=require("os"),rt={vendor:"Meta",value:"llama-3.2-3b",short:"Llama 3.2 3b",name:"Llama 3.2 3b (Local/FREE)",modelUri:"https://huggingface.co/bartowski/Llama-3.2-3B-Instruct-GGUF/blob/main/Llama-3.2-3B-Instruct-Q8_0.gguf"};async function nr(e,t,o){console.log(`
`);let n,r=er("",!1),s=new Xn(r);switch(await s.load(),t){case"sw":case"worker":case"service-worker":n=Qn;break;case"fc":case"function":case"functional":case"functional-component":default:let l=s.get("dependencies"),i=Object.entries(l).map(([a,u])=>a),c=(i==null?void 0:i.length)&&i.includes("typescript");n=Kn({dependencies:i,typescript:c});break}console.log(`
`);let d=new Zn;try{d.start(`Loading ${o.short}...`);let l=tr.join(or.homedir(),".esyr-cli","static/models");nt.existsSync(l)||nt.mkdirSync(l,{recursive:!0});let{getLlama:i,LlamaChatSession:c,resolveModelFile:a}=await import("node-llama-cpp"),u=await a(o.modelUri,l),S=await(await(await i()).loadModel({modelPath:u,contextSize:2048,temperature:.8,ignoreMemorySafetyChecks:!0})).createContext(),U=new c({systemPrompt:n,contextSequence:S.getSequence()});d.updateMessage(`Prompting ${o.short}...`);let z=await U.prompt(e);return d.stop(),z}catch(l){throw d.stop(),l}}st.exports={LocalLlama3bModel:rt,askLlama3b:(e,t)=>nr(e,t,rt)}});var ut=p((Wa,pt)=>{var{get:rr}=require("lodash"),{ProgressUtil:sr}=H(),{ApiProvider:it}=O(),{getRandomWaitingJoke:ar}=b(),{SW_SYSTEM_PROMPT:ir}=D(),{reactSysPromptFactory:cr}=R(),{ProjectProvider:lr}=A(),{findNearestProject:dr}=f();async function ct(e,t,o){var i;let n=await it.getApiKey(o.vendor);if(!n){console.log(`
Anthropic API key not found. 

`);return}let r,s=dr("",!1),d=new lr(s);switch(await d.load(),t){case"sw":case"worker":case"service-worker":r=ir;break;case"fc":case"function":case"functional":case"functional-component":default:let c=d.get("dependencies"),a=Object.entries(c).map(([m,w])=>m),u=(a==null?void 0:a.length)&&a.includes("typescript");r=cr({dependencies:a,typescript:u});break}console.log(`
`);let l=new sr;try{let c=ar(o.vendor);l.start(c);let a={model:o.value,messages:[{role:o.hasSysPrompt?"system":"user",content:r},{role:"user",content:e}]};o.hasSysPrompt&&Object.assign(a,{response_format:{type:"text"},temperature:1,max_tokens:2048,top_p:1,frequency_penalty:0,presence_penalty:0});let u=await it.fetchWithExpBackoff("https://api.openai.com/v1/chat/completions",{method:"POST",headers:{"Content-Type":"application/json",Authorization:"Bearer "+n},body:JSON.stringify(a)}),m=await u.json();if(!u.ok)throw new Error(`${o.vendor} API request failed: ${((i=m.error)==null?void 0:i.message)||u.statusText}`);return l.stop(),rr(m,"choices[0].message.content","")}catch(c){throw l.stop(),c}}var lt={vendor:"openai",value:"gpt-4o-mini",short:"GPT-4o mini",name:"OpenAI GPT-4o mini (API)"},dt={vendor:"openai",value:"o1-mini",short:"OpenAI o1 mini",name:"OpenAI o1 mini (API)",hasSysPrompt:!1};pt.exports={Gpt4oMiniModel:lt,O1MiniModel:dt,askOpenAiO1Mini:(e,t)=>ct(e,t,dt),askChatGpt4oMini:(e,t)=>ct(e,t,lt)}});var q=p((Ia,bt)=>{var{askClaudeSonnet:pr,ClaudeModel:gt}=ot(),{askLlama3b:ur,LocalLlama3bModel:ft}=at(),{prompt:X}=require("inquirer"),{setEnvVar:mt,getEnvVar:ht}=E(),{askChatGpt4oMini:mr,askOpenAiO1Mini:hr,Gpt4oMiniModel:wt,O1MiniModel:yt}=ut(),ee=[ft,gt,yt,wt];async function gr(e="component",t=""){let o,n=await ht("DEFAULT_MODEL_ID");console.log(`
`);let r=`
A ${e}${(t==null?void 0:t.length)>0?` with the name "${t}" `:" "}`,{userPrompt:s}=await X([{type:"input",suffix:r+"...",name:"userPrompt",message:`Describe your ${e} in detail and generate a first draft w/AI!
 (ignore and press ENTER to not use AI)
`}]);if(s){let d=await ht("AI_MODEL_PREF_CHG_FREQ");if(!n||!d||d==="EACH_TIME"){console.log(`
`);let{aiProviderPref:i}=await X([{type:"list",name:"aiProviderPref",message:`What AI model would you like to use?
`,default:n||ee[0].value,choices:ee}]);if(!n){let{modelPrefFrequency:c}=await X([{type:"list",name:"modelPrefFrequency",message:`How often would you like select a specific model?
`,default:"ALWAYS_ASK",choices:[{name:"Ask for each command",short:"Ask each time",value:"ALWAYS_ASK"},{name:"Always use this model",short:"Always this model",value:"NEVER_ASK"}]}]);await mt("AI_MODEL_PREF_CHG_FREQ",c)}n=i,await mt("DEFAULT_MODEL_ID",n,!0)}let l=ee.find(i=>i.value==n);if(!l)throw new Error(`Model with ID '${n||""}' not found`);try{switch(l.value){case wt.value:o=await mr(r+s,e);break;case yt.value:o=await hr(r+s,e);break;case gt.value:o=await pr(r+s,e);break;case ft.value:default:o=await ur(r+s,e);break}}catch(i){throw console.log(`

`),new Error(i.message)}return o}else if(!s){console.log(`
`);return}}bt.exports={tryAskLLM:gr}});var kt=p((La,vt)=>{var{prompt:xt}=require("inquirer"),{findNearestProject:fr,projectHasSass:wr,projectHasTypeScript:yr}=f(),{reactComponentFactory:br}=G(),{ensureDir:xr,exists:vr}=require("fs-extra"),{PrefProvider:kr}=k(),{getCompletionMsg:$r,getFailureMsg:Pr,getAbortMsg:Cr}=b(),{tryAskLLM:Sr}=q(),jr=["c","component"];async function Er(){let{componentName:e}=await xt([{type:"input",name:"componentName",message:"What is the name of the new component?",default:"NewComponent"}]),t=await kr.tryAskPath("component","src/components"),n=`${fr(t)}/${e}`,r=yr(),s=wr();try{if(await vr(n)){let{overwriteExisting:c}=await xt([{type:"confirm",name:"overwriteExisting",message:`


'${e}' already exists! Do you want to overwrite it?
`,default:!1}]);if(!c){let a=Cr(e);console.log(`


${a}


`);return}}let l=await Sr("component",e);await xr(n),await br({componentName:e,componentPath:n,useSass:s,useTypeScript:r,fileOverwrite:l});let i=$r(e);console.log(`


${i}


`)}catch(d){let l=Pr();console.error(`


${l}
`,d)}}vt.exports={addComponent:Er,addComponentCmds:jr}});var Pt=p((Ra,$t)=>{var{writeFile:Ar}=require("fs-extra"),{join:qr}=require("path"),Fr=async({hookName:e,hookPath:t,useTypeScript:o,fileOverwrite:n})=>{let r=`import React, { useEffect } from 'react';

export const ${e} = () => {

  useEffect(() => {
    console.log('${e} mounted!');
  }, []);

  return {}
}
  
export default ${e}`;(n==null?void 0:n.length)>0&&(r=n);let s=`${e}.${o?"tsx":"jsx"}`;await Ar(qr(t,s),r)};$t.exports={reactHookFactory:Fr}});var St=p((Na,Ct)=>{var{prompt:Tr}=require("inquirer"),{findNearestProject:Mr,projectHasTypeScript:Wr}=f(),{exists:Da,ensureDir:Ir}=require("fs-extra"),{reactHookFactory:Lr}=Pt(),{PrefProvider:Rr}=k(),{getCompletionMsg:Dr}=b(),{tryAskLLM:Nr}=q(),Hr=["h","hook"];async function Or(){let{hookName:e}=await Tr([{type:"input",name:"hookName",message:"What is the name of the new hook?",default:"useNewHook"}]),t=await Rr.tryAskPath("hook","src/hooks"),o=Mr(t),n=Wr(),r=await Nr("hook",e);try{await Ir(o),await Lr({hookName:e,hookPath:o,fileOverwrite:r,useTypeScript:n});let s=Dr(e);console.log(`


${s}


`)}catch(s){console.error(`


Something went wrong!
`,s)}}Ct.exports={addHook:Or,addHookCmds:Hr}});var At=p((Ha,Et)=>{var{prompt:jt}=require("inquirer"),{projectHasTypeScript:Ur,projectHasSass:zr,findNearestProject:Br}=f(),{reactPageFactory:Yr}=_(),{ensureDir:_r,exists:Jr}=require("fs-extra"),{PrefProvider:Vr}=k(),{getCompletionMsg:Gr,getFailureMsg:Kr,getAbortMsg:Qr}=b(),{tryAskLLM:Zr}=q(),Xr=["page","p"];async function es(){let{pageName:e}=await jt([{type:"input",name:"pageName",message:"What is the name of the new page?",default:"NewPage"}]),t=await Vr.tryAskPath("page","src/pages"),n=`${Br(t)}/${e}`,r=Ur(),s=zr();try{if(await Jr(n)){console.log(`
`);let{overwriteExisting:c}=await jt([{type:"confirm",name:"overwriteExisting",message:`'${e}' already exists! Do you want to overwrite it?`,default:!1}]);if(!c){let a=Qr(e);console.log(`


${a}


`);return}}let l=await Zr("page",e);await _r(n),await Yr({pageName:e,pagePath:n,useSass:s,useTypeScript:r,fileOverwrite:l});let i=Gr(e);console.log(`


${i}


`)}catch(d){let l=Kr();console.error(`


${l}
`,d)}}Et.exports={addPage:es,addPageCmds:Xr}});var Ft=p((Oa,qt)=>{var{join:ts}=require("path"),{writeFile:os}=require("fs-extra"),ns=async({useTypeScript:e,contextPath:t,contextName:o})=>{let n="",r="",s="",d="",l="";e&&(n=`

export type ${o}Type = {}
`,r=` as ${o}Type`,s=`: ${o}PropsType`,d=`<${o}Type>`,l=`

export type ${o}PropsType = {
  children?: any;
}`);let i=`
import React, { useContext, useEffect } from 'react'${n}

export const defaultContext = {}${r};

// Create context with a default value
export const ${o} = React.createContext${d}(defaultContext);${l}


// Context Provider to reference from central location
export const ${o}Provider = ({ children }${s}) => {

useEffect(() => {
    console.log('${o} mounted!')
}, [])

  return (
    <${o}.Provider value={{}${r}}>
      {children}
    </${o}.Provider>
  )
}


// Create custom hook to reference context easier (${o}Provider MUST be a parent of the component)
export const use${o} = () => {
  return useContext(${o});
}
`,c=`${o}.${e?"tsx":"jsx"}`;await os(ts(t,c),i)};qt.exports={reactContextFactory:ns}});var Wt=p((Ua,Mt)=>{var{prompt:Tt}=require("inquirer"),{findNearestProject:rs,projectHasTypeScript:ss}=f(),{exists:as,ensureDir:is}=require("fs-extra"),{reactContextFactory:cs}=Ft(),{getCompletionMsg:ls}=b(),{PrefProvider:ds}=k(),ps=["ctx","context"];async function us(){let{contextName:e}=await Tt([{type:"input",name:"contextName",message:"What is the name of the new context?",default:"NewContext"}]),t=ss(),o=await ds.tryAskPath("context","src/contexts"),n=rs(o);try{if(await as(o)){let{overwriteExisting:d}=await Tt([{type:"confirm",name:"overwriteExisting",message:`


'${e}' already exists! Do you want to overwrite it?
`,default:!1}]);if(!d){let l=getAbortMsg(e);console.log(`


${l}


`);return}}else await is(o);await cs({contextName:e,contextPath:n,useTypeScript:t});let s=ls(e);console.log(`


${s}


`)}catch(r){console.error(`


Something went wrong!
`,r)}}Mt.exports={addContext:us,addContextCmds:ps}});var Dt=p((za,Rt)=>{var{join:It}=require("path"),{prompt:ms}=require("inquirer"),{findNearestProject:hs,projectHasTypeScript:gs}=f(),{ensureDir:fs,writeFile:Lt}=require("fs-extra"),{PrefProvider:ws}=k(),{tryAskLLM:ys}=q(),bs=["sw","worker","service-worker"];async function xs(){let{serviceWorkerName:e}=await ms([{type:"input",name:"serviceWorkerName",message:"What is the name of the new Service Worker?",default:"example-worker"}]),t=gs(),o=await ws.tryAskPath("service worker","src/workers"),n=hs(o);if(!n){console.error("Could not find a valid project directory. Please run this command in a project directory.");return}await fs(n),console.log(`Creating a new Service Worker in '${o}'`);let s=await ys("service worker")||`
    // Service Worker content
    `;t?await Lt(It(n,e+".ts"),s):await Lt(It(n,e+".js"),s),console.log(`Service Worker created successfully! 

 Please remember to register the service worker in your app. 
`)}Rt.exports={addServiceWorker:xs,addServiceWorkerCmds:bs}});var Ht=p((Ba,Nt)=>{var{join:te}=require("path"),{writeFile:vs,ensureDir:ks}=require("fs-extra"),$s=async({useTypeScript:e,contentScriptName:t,contentScriptPath:o})=>{if([e,t,o].some(c=>c==null||c==null))throw new Error("Missing required arguments");let r=`${t}.${e?"tsx":"jsx"}`;await vs(te(o,r),`
    // content script content
    `);let d=findNearestProject(),l=te(d,"public","manifest.json"),i=await readJsonSync(l,{throws:!1});if(i){await ks(te(d,"public"));let c={...i,content_scripts:[...i.content_scripts,{matches:["https://*/*","http://*/*"],css:[`content-scripts/${t}.css`],js:[`content-scripts/${r}`]}]};await writeJson(l,c,{spaces:2})}};Nt.exports={reactContentScriptFactory:$s}});var zt=p((Ya,Ut)=>{var{prompt:Ot}=require("inquirer"),{findNearestProject:Ps,projectHasTypeScript:Cs,projectHasBrowserExt:Ss}=f(),{ensureDir:js}=require("fs-extra"),{reactContentScriptFactory:Es}=Ht(),{getCompletionMsg:As}=b(),{PrefProvider:qs}=k(),Fs=["cs","content-script"];async function Ts(){let{contentScriptName:e}=await Ot([{type:"input",name:"contentScriptName",message:"What is the name of the new content script?",default:"cs-example"}]),t=Cs();Ss();let o=await qs.tryAskPath("content script","src/content-scripts"),n=Ps(o);try{if(await exists(n)){let{overwriteExisting:d}=await Ot([{type:"confirm",name:"overwriteExisting",message:`


'${e}' already exists! Do you want to overwrite it?
`,default:!1}]);if(!d){let l=getAbortMsg(e);console.log(`


${l}


`);return}}else await js(n);await Es({contentScriptName:e,contentScriptPath:n,useTypeScript:t});let s=As(e);console.log(`


${s}


`)}catch(r){console.error(`


Something went wrong!
`,r)}}Ut.exports={addContentScript:Ts,addContentScriptCmds:Fs}});var Yt=p((_a,Bt)=>{var Ms=({name:e,version:t})=>({version:t,short_name:e,name:e,manifest_version:3,action:{default_popup:"browser-ext.html",default_title:e},externally_connectable:{matches:["https://*/*"]},permissions:["activeTab","storage"],content_scripts:[],web_accessible_resources:[{resources:["*.*"],matches:["https://*/*","http://*/*"]}]});Bt.exports={manifestJsonData:Ms}});var Jt=p((Ja,_t)=>{var{kebabCase:Ws,upperFirst:Is}=require("lodash"),Ls=({projectDesc:e,projectName:t})=>{let o=Ws(t),n=Is(t);return`<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1" />
    <title>${n||"React App"}</title>
  <meta name="theme-color" content="#000000" />
  <meta name="description" content="${e||n}" />
  <link rel="manifest" href="manifest.json" />
    <link crossorigin="anonymous" media="all" rel="stylesheet" href="bundle.css" />
    <link crossorigin="anonymous" media="all" rel="stylesheet" href="theme.css" />
  <style>
    html {
      -webkit-text-size-adjust: 100%;
      -webkit-font-feature-settings: normal;
      font-feature-settings: normal;
      font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
      font-variation-settings: normal;
      line-height: 1.5;
      tab-size: 4;
        min-width: 300px;
        min-height: 500px;
        margin: 0;
        inset: 0;
        padding: 0;
        border: 0;
  }
  body {
      line-height: inherit;
    display: block;
    position: fixed;
    margin: 0;
    inset: 0;
    padding: 0;
    border: 0;
  }
  </style>
</head>
<body>
  <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="${o}-ext-root"></div>
    <script src="bundle.js"></script>
</body>
</html>`};_t.exports={extIndexHtmlContent:Ls}});var Qt=p((Va,Kt)=>{var{join:F}=require("path"),{existsSync:Rs,readJsonSync:Vt,readdir:Ds,ensureDir:Ns,writeJson:Hs,writeFile:Os}=require("fs-extra"),{manifestJsonData:Us}=Yt(),{extIndexHtmlContent:zs}=Jt(),{findNearestProject:Gt,projectHasBrowserExt:Bs}=f(),Ys=["ext","browser-ext"];async function _s(){let e=Gt();if(!e){console.error("Could not find a valid project directory. Please run this command in a project directory.");return}let t=F(e,"src","content-scripts");if(!Rs(t)){console.error("Could not find a valid content scripts directory. Please run this command in a project directory.");return}return await Ds(t)}async function Js(){if(Bs(!1)){console.error("A browser extension already exists in this project.");return}let t=Gt(),o=F(t,"public","manifest.json"),n=F(t,"package.json"),r=F(t,"public","ext","index.html"),[s,d]=await Promise.all([Vt(n,{throws:!1}),Vt(o,{throws:!1})]);return d||(await Ns(F(t,"public","ext")),await Hs(o,{...Us({name:s.name,version:s.version}),version:s.version,short_name:s.name,name:s.name,action:{default_popup:"/ext/index.html",default_title:s.name}},{spaces:2}),await Os(r,zs({projectName:s.name}).trim())),!1}Kt.exports={initBrowserExt:Js,initBrowserExtCmds:Ys,fetchContentScripts:_s}});var{addProjectCmds:Xt,addProject:Vs}=Je(),{addComponent:Gs,addComponentCmds:eo}=kt(),{addHookCmds:to,addHook:Ks}=St(),{addPageCmds:oo,addPage:Qs}=At(),{addContextCmds:no,addContext:Zs}=Wt(),{addServiceWorkerCmds:ro,addServiceWorker:Xs}=Dt(),{addContentScriptCmds:so,addContentScript:ea}=zt(),{findNearestProject:Ga,projectHasBrowserExt:ta}=f(),{getRandomWelcome:oa,getRandomActionPrompt:na}=b(),{initBrowserExtCmds:ao,initBrowserExt:ra,fetchContentScripts:Ka}=Qt(),{resetEnv:sa,getEnv:aa}=E(),v=Array(3).fill(".....").join("");process.removeAllListeners("warning");var io=["reset","rs"],Zt=async()=>{let e=oa(),t=na(),o="3.0.0",n=[],r=await aa();r.ANTHROPIC_API_KEY?n.push("\u2705 API Key for Anthropic"):n.push("\u274C API Key for Anthropic"),r.OPENAI_API_KEY?n.push("\u2705 API Key for OpenAI"):n.push("\u274C API Key for OpenAI"),console.warn(`
    ESYR - Esy React CLI ${o?`(v${o})`:""}

    General Commands:

    	Project${v}${h.project?`[${Xt.join(", ")}]`:"UNAVAILABLE"}
    	Page${v}${h.page?`[${oo.join(", ")}]`:"UNAVAILABLE"}
    	Component${v}${h.component?`[${eo.join(", ")}]`:"UNAVAILABLE"}
    	Hook${v}${h.hook?`[${to.join(", ")}]`:"UNAVAILABLE"}
    	Context${v}${h.context?`[${no.join(", ")}]
`:"UNAVAILABLE"}
    	Service Worker${v}${h.serviceWorker?`[${ro.join(", ")}]`:"UNAVAILABLE"}
    
    Browser Ext Commands:

    	Initialize Extension*${v}${h.browserExt?`[${ao.join(", ")}]`:"UNAVAILABLE"}
    	Content Script*${v}${h.contentScript?`[${so.join(", ")}]`:"UNAVAILABLE"}

    Troubleshooting:

	Reset${v}[${io.join(", ")}]${n!=null&&n.length?`

	${n.join(", ")}`:""}

    *For advanced users, this value can be modified in the .env file


    ${e}

    ${t}

`)},h={project:!1,page:!1,component:!1,hook:!1,context:!1,serviceWorker:!1,browserExt:!1,contentScript:!1};return(async()=>{if(process.argv.find(t=>["--help","-h"].includes(t==null?void 0:t.toLowerCase())))return Zt();if(process.argv.find(t=>io.includes(t==null?void 0:t.toLowerCase())))return sa().catch(console.error);if(h.project=!0,process.argv.find(t=>Xt.includes(t==null?void 0:t.toLowerCase())))return Vs().catch(console.error);let e=ta(!1);if(h.serviceWorker=!0,process.argv.find(t=>ro.includes(t==null?void 0:t.toLowerCase())))return Xs().catch(console.error);if(h.page=!0,process.argv.find(t=>oo.includes(t==null?void 0:t.toLowerCase())))return Qs().catch(console.error);if(h.component=!0,process.argv.find(t=>eo.includes(t==null?void 0:t.toLowerCase())))return Gs().catch(console.error);if(h.hook=!0,process.argv.find(t=>to.includes(t==null?void 0:t.toLowerCase())))return Ks().catch(console.error);if(h.context=!0,process.argv.find(t=>no.includes(t==null?void 0:t.toLowerCase())))return Zs().catch(console.error);if(e){if(h.contentScript=!0,process.argv.find(t=>so.includes(t==null?void 0:t.toLowerCase())))return ea().catch(console.error)}else if(h.browserExt=!0,process.argv.find(t=>ao.includes(t==null?void 0:t.toLowerCase())))return ra().catch(console.error);return Zt()})();
